<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#################################################################################

$pag = "visualizza_tabelle.php";
$titolo = "Pagina di visualizzazione tabelle";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
include("./includes/funzioni_testo.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tablecosti = $PHPR_TAB_PRE."costi".$anno;
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tableclienti = $PHPR_TAB_PRE."clienti";
$tableversioni = $PHPR_TAB_PRE."versioni";
$tableutenti = $PHPR_TAB_PRE."utenti";
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno;
$tablecontratti = $PHPR_TAB_PRE."contratti";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_prenotazioni = substr($priv_vedi_tab,1,1);
$priv_vedi_tab_costi = substr($priv_vedi_tab,2,1);
$priv_vedi_tab_periodi = substr($priv_vedi_tab,3,1);
$priv_vedi_tab_regole = substr($priv_vedi_tab,4,1);
$priv_vedi_tab_appartamenti = substr($priv_vedi_tab,5,1);
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,1,1) == "s") $modifica_clienti = "SI";
if (substr($priv_ins_clienti,1,1) == "p") $modifica_clienti = "PROPRI";
if (substr($priv_ins_clienti,1,1) != "s" and substr($priv_ins_clienti,1,1) != "p") $modifica_clienti = "NO";
if (substr($priv_ins_clienti,2,1) == "s") $vedi_clienti = "SI";
if (substr($priv_ins_clienti,2,1) == "p") $vedi_clienti = "PROPRI";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
$priv_ins_prenota = risul_query($privilegi_annuali_utente,0,priv_ins_prenota);
$priv_ins_nuove_prenota = substr($priv_ins_prenota,0,1);
$priv_ins_assegnazione_app = substr($priv_ins_prenota,1,1);
$priv_mod_prenota = risul_query($privilegi_annuali_utente,0,priv_mod_prenota);
$priv_mod_prenotazioni = substr($priv_mod_prenota,0,1);
$priv_mod_assegnazione_app = substr($priv_mod_prenota,2,1);
$priv_mod_pagato = substr($priv_mod_prenota,10,1);
$priv_mod_prenota_iniziate = substr($priv_mod_prenota,11,1);
$priv_mod_prenota_ore = substr($priv_mod_prenota,12,3);
$priv_ins_costi = risul_query($privilegi_annuali_utente,0,priv_ins_costi);
$priv_ins_spese = substr($priv_ins_costi,0,1);
$priv_ins_entrate = substr($priv_ins_costi,1,1);
$regole1_consentite = risul_query($privilegi_annuali_utente,0,regole1_consentite);
$attiva_regole1_consentite = substr($regole1_consentite,0,1);
$applica_regole1 = substr($regole1_consentite,1,1);
if ($attiva_regole1_consentite != "n" or $applica_regole1 == "n") $regole1_consentite = explode("#@^",substr($regole1_consentite,3));
$tariffe_consentite = risul_query($privilegi_annuali_utente,0,tariffe_consentite);
$attiva_tariffe_consentite = substr($tariffe_consentite,0,1);
if ($attiva_tariffe_consentite == "s") {
$tariffe_consentite = explode(",",substr($tariffe_consentite,2));
unset($tariffe_consentite_vett);
for ($num1 = 0 ; $num1 < count($tariffe_consentite) ; $num1++) if ($tariffe_consentite[$num1]) $tariffe_consentite_vett[$tariffe_consentite[$num1]] = "SI";
} # fine if ($attiva_tariffe_consentite == "s")
$costi_agg_consentiti = risul_query($privilegi_annuali_utente,0,costi_agg_consentiti);
$attiva_costi_agg_consentiti = substr($costi_agg_consentiti,0,1);
if ($attiva_costi_agg_consentiti == "s") {
$costi_agg_consentiti = explode(",",substr($costi_agg_consentiti,2));
unset($costi_agg_consentiti_vett);
for ($num1 = 0 ; $num1 < count($costi_agg_consentiti) ; $num1++) if ($costi_agg_consentiti[$num1]) $costi_agg_consentiti_vett[$costi_agg_consentiti[$num1]] = "SI";
} # fine if ($attiva_costi_agg_consentiti == "s")
$contratti_consentiti = risul_query($privilegi_annuali_utente,0,contratti_consentiti);
$attiva_contratti_consentiti = substr($contratti_consentiti,0,1);
if ($attiva_contratti_consentiti == "s") {
$contratti_consentiti = explode(",",substr($contratti_consentiti,2));
unset($contratti_consentiti_vett);
for ($num1 = 0 ; $num1 < count($contratti_consentiti) ; $num1++) if ($contratti_consentiti[$num1]) $contratti_consentiti_vett[$contratti_consentiti[$num1]] = "SI";
} # fine if ($attiva_contratti_consentiti == "s")
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$priv_vedi_tab_prenotazioni = "s";
$priv_vedi_tab_costi = "s";
$priv_vedi_tab_periodi = "s";
$priv_vedi_tab_regole = "s";
$priv_vedi_tab_appartamenti = "s";
$modifica_clienti = "SI";
$vedi_clienti = "SI";
$priv_ins_nuove_prenota = "s";
$priv_ins_assegnazione_app = "s";
$priv_mod_prenotazioni = "s";
$priv_mod_assegnazione_app = "s";
$priv_mod_pagato = "s";
$priv_mod_prenota_iniziate = "s";
$priv_mod_prenota_ore = "000";
$priv_ins_spese = "s";
$priv_ins_entrate = "s";
$attiva_regole1_consentite = "n";
$attiva_tariffe_consentite = "n";
$attiva_costi_agg_consentiti = "n";
$attiva_contratti_consentiti = "n";
} # fine else if ($id_utente != 1)
if ($anno_utente_attivato == "SI") {

if (@is_file("./dati/dati_subordinazione.php")) {
$installazione_subordinata = "SI";
$modifica_clienti = "NO";
$priv_mod_prenotazioni = "n";
$priv_ins_spese = "n";
$priv_ins_entrate = "n";
} # fine if (@is_file("./dati/dati_subordinazione.php"))


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$Euro = nome_valuta();
$stile_soldi = stile_soldi();
$stile_data = stile_data();


if ($tipo_tabella == "prenotazioni" and $priv_vedi_tab_prenotazioni != "n") {

if (defined("C_MASSIMO_NUM_STORIA_SOLDI") and C_MASSIMO_NUM_STORIA_SOLDI != 0) {
$num_soldi_esistenti = esegui_query("select idsoldi from $tablesoldi");
$num_soldi_esistenti = numlin_query($num_soldi_esistenti);
if ($num_soldi_esistenti >= (C_MASSIMO_NUM_STORIA_SOLDI + 1)) $priv_mod_pagato = "n";
} # fine if (defined("C_MASSIMO_NUM_STORIA_SOLDI") and C_MASSIMO_NUM_STORIA_SOLDI != 0)

if ($ordine_prenota != ("iddatafine" or "idprenota")) $ordine_prenota = "iddatainizio";
if ($priv_mod_prenota_iniziate != "s") $id_periodo_corrente = calcola_id_periodo_corrente($anno);

if ($cambia_pagato) {

if ($continua != "SI") {
$mostra_tab_principale = "NO";
$prenotazioni = esegui_query("select idprenota,idclienti,iddatainizio,caparra,pagato,tariffa_tot,conferma,metodo_pagamento,utente_inserimento,datainserimento from $tableprenota order by $ordine_prenota");
$num_prenotazioni = numlin_query($prenotazioni);
$metodi_pagamento_int = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'metodi_pagamento' and idutente = '$id_utente'");
$metodi_pagamento_int = risul_query($metodi_pagamento_int,0,valpersonalizza);
$metodi_pagamento = explode(",",$metodi_pagamento_int);
echo mex("Verranno effettuati i seguenti cambiamenti",$pag).": <br>
<br><form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">";
$differenza_tot = 0;
for ($num1 = 0 ; $num1 < $num_prenotazioni ; $num1++) {
$numero = risul_query($prenotazioni,$num1,idprenota);
$cambianumero = "cambia".$numero;
if ($$cambianumero == "SI") {
$continua = "SI";
if ($priv_mod_prenotazioni == "n") $continua = "NO";
if ($priv_mod_prenotazioni == "p") {
$utente_inserimento = risul_query($prenotazioni,$num1,utente_inserimento);
if ($utente_inserimento != $id_utente) $continua = "NO";
} # fine if ($priv_mod_prenotazioni == "p")
if ($priv_mod_prenota_iniziate != "s") {
$id_inizio_prenota = risul_query($prenotazioni,$num1,iddatainizio);
if ($id_periodo_corrente >= $id_inizio_prenota) $continua = "NO";
} # fine if ($priv_mod_prenota_iniziate != "s")
if ($priv_mod_prenota_ore != "000") {
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
$data_ins = risul_query($prenotazioni,0,datainserimento);
$limite = date("YmdHis",mktime((substr($data_ins,11,2) + $priv_mod_prenota_ore),substr($data_ins,14,2),substr($data_ins,17,2),substr($data_ins,5,2),substr($data_ins,8,2),substr($data_ins,0,4)));
if ($adesso > $limite) $continua = "NO";
} # fine if ($priv_mod_prenota_ore != "000")
if ($continua == "SI") {
$id_clienti = risul_query($prenotazioni,$num1,idclienti);
$cognome = esegui_query("select cognome,utente_inserimento from $tableclienti where idclienti = $id_clienti");
$mostra_cliente = "SI";
if ($vedi_clienti == "NO") $mostra_cliente = "NO";
if ($vedi_clienti == "PROPRI") {
$utente_inserimento = risul_query($cognome,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($mostra_cliente == "NO") $cognome = mex("cliente",$pag)." $id_clienti";
else $cognome = risul_query($cognome,0,cognome);
$cognome = htmlspecialchars($cognome);
$caparra = risul_query($prenotazioni,$num1,caparra);
if (!$caparra) $caparra = 0;
$caparra_p = punti_in_num($caparra,$stile_soldi);
$met_paga_caparra = risul_query($prenotazioni,$num1,metodo_pagamento);
$pagato = risul_query($prenotazioni,$num1,pagato);
if (!$pagato) $pagato = 0;
$pagato_p = punti_in_num($pagato,$stile_soldi);
$costo_tot = risul_query($prenotazioni,$num1,tariffa_tot);
if (!$costo_tot) $costo_tot = 0;
$costo_tot_p = punti_in_num($costo_tot,$stile_soldi);
if ($somma_pagata == "tutto") $pagato_dopo = $costo_tot;
if ($somma_pagata == "caparra") $pagato_dopo = $caparra;
if ($somma_pagata == "niente") $pagato_dopo = 0;
$pagato_dopo_p = punti_in_num($pagato_dopo,$stile_soldi);
$differenza = $pagato_dopo - $pagato;
$differenza_p = punti_in_num($differenza,$stile_soldi);
if (substr($differenza_p,0,1) != "-") $differenza_p = "+".$differenza_p;
$differenza_tot = $differenza_tot + $differenza;
if ($somma_pagata != "conferma") {
echo mex("I soldi pagati per la prenotazione",$pag)." <i>$numero</i> ".mex("a nome di",$pag)." <b><i>$cognome</i></b> ".mex("verranno cambiati da",$pag)." <b>$pagato_p</b>
 ".mex("a",$pag)." <b>$pagato_dopo_p</b> $Euro ($differenza_p).";
if ($metodi_pagamento_int and $differenza != 0) {
echo " ".mex("Metodo pagamento",$pag).":
 <select name=\"metodo_pagamento$numero\">
<option value=\"\">----</option>";
for ($num2 = 0 ; $num2 < count($metodi_pagamento) ; $num2++) {
if ($met_paga_caparra == $metodi_pagamento[$num2] and $caparra > $pagato) $sel = " selected";
else $sel = "";
echo "<option value=\"".$metodi_pagamento[$num2]."\"$sel>".$metodi_pagamento[$num2]."</option>";
} # fine for $num2
echo "</select>.";
} # fine if ($metodi_pagamento_int and $differenza != 0)
echo "<br><table cellspacing=0 cellpadding=0><tr><td height=\"4\"></td></tr></table>";
} # fine if ($somma_pagata != "conferma")
else echo mex("La prenotazione",$pag)." <i>$numero</i> ".mex("a nome di",$pag)." <b><i>$cognome</i></b> ".mex("verrà confermata",$pag).".<br>";
$nascosti_in_form .= "<input type=\"hidden\" name=\"d_id_clienti$numero\" value=\"$id_clienti\">
<input type=\"hidden\" name=\"d_costo_tot$numero\" value=\"$costo_tot\">
<input type=\"hidden\" name=\"d_caparra$numero\" value=\"$caparra\">
<input type=\"hidden\" name=\"d_pagato$numero\" value=\"$pagato\">
<input type=\"hidden\" name=\"d_confermato$numero\" value=\"$confermato\">
<input type=\"hidden\" name=\"d_pagato_dopo$numero\" value=\"$pagato_dopo\">";
$numeri_cambia .= "#".$numero;
} # fine if ($continua == "SI")
} # fine if ($$cambianumero == "SI")
} # fine for $num1
$differenza_tot_p = punti_in_num($differenza_tot,$stile_soldi);
echo "<br>".mex("Saldo totale",$pag).": <b>$differenza_tot_p</b> $Euro<br>";
if ($numeri_cambia) {
$numeri_cambia = substr($numeri_cambia,1);
echo "<br>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"cambia_pagato\" value=\"$cambia_pagato\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">";
if ($id_utente == 1) echo "<input type=\"hidden\" name=\"id_utente_vedi\" value=\"$id_utente_vedi\">";
echo "<input type=\"hidden\" name=\"pag_pren_corr\" value=\"$pag_pren_corr\">
<input type=\"hidden\" name=\"pag_pren_succ\" value=\"$pag_pren_succ\">
<input type=\"hidden\" name=\"pag_pren_prec\" value=\"$pag_pren_prec\">
<input type=\"hidden\" name=\"cerca_prenota\" value=\"$cerca_prenota\">
<input type=\"hidden\" name=\"somma_pagata\" value=\"$somma_pagata\">
<input type=\"hidden\" name=\"continua\" value=\"SI\">
$nascosti_in_form
<input type=\"hidden\" name=\"numeri_cambia\" value=\"$numeri_cambia\">
<input class=\"sbutton\" type=\"submit\" name=\"cont_op\" value=\"".mex("Continua",$pag)."\">
</form><table cellspacing=0 cellpadding=0><tr><td height=\"1\"></td></tr></table>
<hr width=\"350\" align=\"left\"><br><br>";
} # fine if ($numeri_cambia)
else echo "</form>";
} # fine if ($continua != "SI")

else {
$tabelle_lock = array("$tableprenota","$tablesoldi");
$altre_tab_lock = array("$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$metodi_pagamento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'metodi_pagamento' and idutente = '$id_utente'");
$metodi_pagamento = risul_query($metodi_pagamento,0,valpersonalizza);
$metodi_pagamento = explode(",",$metodi_pagamento);
unset($met_paga_perm);
for ($num1 = 0 ; $num1 < count($metodi_pagamento) ; $num1++) $met_paga_perm[$metodi_pagamento[$num1]] = "SI";
$numeri_cambia = explode("#",$numeri_cambia);
for ($num1 = 0 ; $num1 < count($numeri_cambia) ; $num1++) {
$numero = $numeri_cambia[$num1];
$numero = addslashes($numero);
$prenotazione = esegui_query("select idprenota,idclienti,iddatainizio,caparra,pagato,tariffa_tot,conferma,utente_inserimento,datainserimento from $tableprenota where idprenota = '$numero'");
if (numlin_query($prenotazione) == 1) $utente_inserimento = risul_query($prenotazione,0,utente_inserimento);
else $utente_inserimento = "NO";
if ($priv_vedi_tab_prenotazioni == "p" and $utente_inserimento != $id_utente) $modifica = "NO";
if ($priv_mod_prenotazioni == "n") $modifica = "NO";
if ($priv_mod_prenotazioni == "p" and $utente_inserimento != $id_utente) $modifica = "NO";
if ($priv_mod_prenota_iniziate != "s") {
if (numlin_query($prenotazione) == 1) $id_inizio_prenota = risul_query($prenotazione,0,iddatainizio);
else $id_inizio_prenota = -2;
if ($id_periodo_corrente >= $id_inizio_prenota) $modifica = "NO";
} # fine if ($priv_mod_prenota_iniziate != "s")
if ($priv_mod_prenota_ore != "000") {
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
if (numlin_query($prenotazione) == 1) $data_ins = risul_query($prenotazione,0,datainserimento);
else $data_ins = "1971-01-01 00:00:00";
$limite = date("YmdHis",mktime((substr($data_ins,11,2) + $priv_mod_prenota_ore),substr($data_ins,14,2),substr($data_ins,17,2),substr($data_ins,5,2),substr($data_ins,8,2),substr($data_ins,0,4)));
if ($adesso > $limite) $modifica = "NO";
} # fine if ($priv_mod_prenota_ore != "000")
$id_clienti = risul_query($prenotazione,0,idclienti);
$caparra = risul_query($prenotazione,0,caparra);
if (!$caparra) $caparra = 0;
$pagato = risul_query($prenotazione,0,pagato);
if (!$pagato) $pagato = 0;
$costo_tot = risul_query($prenotazione,0,tariffa_tot);
if (!$costo_tot) $costo_tot = 0;
$d_id_clienti = "d_id_clienti".$numero;
if ($$d_id_clienti != $id_clienti) $modifica = "NO";
$d_costo_tot = "d_costo_tot".$numero;
if ($$d_costo_tot != $costo_tot) $modifica = "NO";
$d_caparra = "d_caparra".$numero;
if ($$d_caparra != $caparra) $modifica = "NO";
$d_pagato = "d_pagato".$numero;
if ($$d_pagato != $pagato) $modifica = "NO";
$d_pagato_dopo = "d_pagato_dopo".$numero;
if ($$d_pagato_dopo > $costo_tot) $modifica = "NO";
if ($d_pagato_dopo and controlla_soldi($$d_pagato_dopo,"SI") == "NO") $modifica = "NO";
if ($priv_mod_pagato != "s" and $$d_pagato_dopo != $pagato) $modifica = "NO";
if ($somma_pagata == "conferma" and $priv_mod_pagato == "n") $modifica = "NO";
if ($modifica == "NO") break;
} # fine for $num1
if ($modifica != "NO") {
for ($num1 = 0 ; $num1 < count($numeri_cambia) ; $num1++) {
$numero = $numeri_cambia[$num1];
$prenotazione = esegui_query("select idprenota,idclienti,caparra,pagato,tariffa_tot,conferma,iddatainizio,iddatafine from $tableprenota where idprenota = '$numero'");
if ($somma_pagata != "conferma") {
$pagato = risul_query($prenotazione,0,pagato);
if (!$pagato) $pagato = 0;
$d_pagato_dopo = "d_pagato_dopo".$numero;
if ($$d_pagato_dopo != $pagato) {
esegui_query("update $tableprenota set pagato = '".$$d_pagato_dopo."' where idprenota = '$numero' ");
$confermato = risul_query($prenotazione,0,conferma);
$confermato = substr($confermato[$num1],0,1);
if ($$d_pagato_dopo > 0 and $confermato != "S") esegui_query("update $tableprenota set conferma = 'S' where idprenota = '$numero' ");
$datainserimento_saldo = date("Y-m-d H:i:s",(time() + (C_DIFF_ORE * 3600)));
$motivazione_saldo = risul_query($prenotazione,0,idclienti);
$d_idinizioprenota = risul_query($prenotazione,0,iddatainizio);
$d_idfineprenota = risul_query($prenotazione,0,iddatafine);
$motivazione_saldo .= ";$d_idinizioprenota";
$motivazione_saldo .= ";$d_idfineprenota";
$motivazione_saldo .= ";$numero";
$saldo = $$d_pagato_dopo - $pagato;
if (get_magic_quotes_gpc()) ${"metodo_pagamento".$numero} = stripslashes(${"metodo_pagamento".$numero});
if ($met_paga_perm[${"metodo_pagamento".$numero}] == "SI") $metodo_pagamento = addslashes(${"metodo_pagamento".$numero});
else $metodo_pagamento = "";
$idsoldi = esegui_query("select max(idsoldi) from $tablesoldi");
$idsoldi = risul_query($idsoldi,0,0) + 1;
esegui_query("insert into $tablesoldi (idsoldi,motivazione,saldo_prenota,soldi_prima,metodo_pagamento,data_inserimento,utente_inserimento) values ('$idsoldi','$motivazione_saldo','$saldo','$pagato','$metodo_pagamento','$datainserimento_saldo','$id_utente')");
} # fine if ($d_pagato_dopo != $pagato)
} # fine if ($somma_pagata != "conferma")
else esegui_query("update $tableprenota set conferma = 'S' where idprenota = '$numero' ");
} # fine for $num1
} # fine if ($modifica != "NO")
else {
$mostra_tab_principale = "NO";
echo mex("Le prenotazioni <b>non sono state modificate</b> perchè sono cambiate nel frattempo",$pag).".<br>";
} # fine else if ($modifica != "NO")
unlock_tabelle($tabelle_lock);
} # fine else if ($continua != "SI")

if ($mostra_tab_principale == "NO") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"pag_pren_corr\" value=\"$pag_pren_corr\">
<input type=\"hidden\" name=\"pag_pren_succ\" value=\"$pag_pren_succ\">
<input type=\"hidden\" name=\"pag_pren_prec\" value=\"$pag_pren_prec\">
<input type=\"hidden\" name=\"cerca_prenota\" value=\"$cerca_prenota\">";
if ($id_utente == 1) echo "<input type=\"hidden\" name=\"id_utente_vedi\" value=\"$id_utente_vedi\">";
echo "<input class=\"sbutton\" type=\"submit\" name=\"torna_alla_tab\" value=\"".mex("Annulla",$pag)."\">
</form>";
} # fine if ($mostra_tab_principale == "NO")
} # fine if ($cambia_pagato)



if ($mostra_tab_principale != "NO") {

include("./includes/funzioni_costi_agg.php");

if ($id_utente != 1 or !$id_utente_vedi) $id_utente_vedi = $id_utente;
if ($id_utente != $id_utente_vedi) {
$privilegi_annuali_utente_vedi = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_vedi' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente_vedi) != 0) {
$priv_vedi_tab_utente_vedi = risul_query($privilegi_annuali_utente_vedi,0,priv_vedi_tab);
$priv_vedi_tab_prenotazioni = substr($priv_vedi_tab_utente_vedi,1,1);
} # fine if (numlin_query($privilegi_annuali_utente_vedi) != 0)
} # fine if ($id_utente != $id_utente_vedi)

if (!$cerca_prenota) {
$selezione_tab_tutte_prenota = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'selezione_tab_tutte_prenota' and idutente = '$id_utente'");
$selezione_tab_tutte_prenota = risul_query($selezione_tab_tutte_prenota,0,valpersonalizza);
if ($selezione_tab_tutte_prenota == "correnti") {
$oggi = date("Y-m-d",(time() + (C_DIFF_ORE * 3600)));
$oggi = esegui_query("select datainizio,datafine from $tableperiodi where datainizio <= '$oggi' and datafine > '$oggi' ");
if (numlin_query($oggi) != 0) {
$oggi_ini = risul_query($oggi,0,datainizio);
$oggi_fine = risul_query($oggi,0,datafine);
include("./dati/selperiodimenu$anno.$id_utente.php");
$num_periodi_date = count($d_increment);
if ($num_periodi_date > 1 or $d_increment[0] > 1) {
for ($num1 = 0 ; $num1 < $num_periodi_date ; $num1++) {
for ($num2 = 0 ; $num2 < $n_dates_menu[$num1] ; $num2++) {
$data_corr = date("Y-m-d",mktime(0,0,0,($m_ini_menu[$num1] + 1),($d_ini_menu[$num1] + ($num2 * $d_increment[$num1])),$y_ini_menu[$num1]));
if ($cerca_ini and (int) str_replace("-","",$data_corr) >= (int) str_replace("-","",$oggi_fine)) $cerca_fine = $data_prec;
if (!$cerca_ini and $data_prec and (int) str_replace("-","",$data_corr) >= (int) str_replace("-","",$oggi_ini)) $cerca_ini = $data_prec;
if ($cerca_ini and $cerca_fine) break;
$data_prec = $data_corr;
} # fine for $num2
if ($cerca_ini and $cerca_fine) break;
} # fine for $num1
} # fine if ($num_periodi_date > 1 or $d_increment[0] > 1)
else {
$cerca_ini = $oggi_ini;
$cerca_fine = $oggi_fine;
} # fine if ($num_periodi_date > 1 or $d_increment[0] > 1)
if ($cerca_ini and $cerca_fine) $cerca_prenota = "SI";
} # fine if (numlin_query($date_select) != 0)
} # fine if ($selezione_tab_tutte_prenota == "correnti")
} # fine if (!$cerca_prenota)

if ($show_bar != "NO") {
if (!$cerca_prenota or $cerca_prenota == "tutte") {
echo "<table width=\"100%\"><tr><td align=\"left\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"ordine_prenota\" value=\"$ordine_prenota\">
<input type=\"hidden\" name=\"mos_tut_dat\" value=\"$mos_tut_dat\">
<input type=\"hidden\" name=\"cerca_prenota\" value=\"SI\">";
if ($id_utente == 1) echo "<input type=\"hidden\" name=\"id_utente_vedi\" value=\"$id_utente_vedi\">";
echo "<input class=\"sbutton\" type=\"submit\" value=\"".mex("Vedi le prenotazioni",$pag)."\">
".mex("presenti dal",$pag)." ";
$oggi = date("Y-m-d",(time() + (C_DIFF_ORE * 3600)));
$date_select = esegui_query("select datainizio,datafine from $tableperiodi where datainizio <= '$oggi' and datafine > '$oggi' ");
if (numlin_query($date_select) != 0) {
$inizio_select = risul_query($date_select,0,datainizio);
$fine_select = risul_query($date_select,0,datafine);
} # fine if (numlin_query($date_select) != 0)
mostra_menu_date("./dati/selperiodimenu$anno.$id_utente.php","cerca_ini",$inizio_select,"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
mostra_menu_date("./dati/selperiodimenu$anno.$id_utente.php","cerca_fine",$fine_select,1,"",$id_utente,$tema);
echo "</form></td>";
} # fine if (!$cerca_prenota or $cerca_prenota == "tutte")
else {
echo "<table width=\"100%\"><tr><td align=\"left\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"ordine_prenota\" value=\"$ordine_prenota\">
<input type=\"hidden\" name=\"mos_tut_dat\" value=\"$mos_tut_dat\">
<input type=\"hidden\" name=\"cerca_prenota\" value=\"tutte\">";
if ($id_utente == 1) echo "<input type=\"hidden\" name=\"id_utente_vedi\" value=\"$id_utente_vedi\">";
echo "<input class=\"sbutton\" type=\"submit\" value=\"".mex("Vedi tutte le prenotazioni",$pag)."\">
</form></td>";
} # fine else if (!$cerca_prenota or $cerca_prenota == "tutte")
if ($id_utente == 1) {
$tutti_utenti = esegui_query("select * from $tableutenti order by idutenti");
$option_select = "";
for ($num1 = 0 ; $num1 < numlin_query($tutti_utenti) ; $num1++) {
$idutenti = risul_query($tutti_utenti,$num1,idutenti);
$nome_utente = risul_query($tutti_utenti,$num1,nome_utente);
if ($id_utente_vedi != $idutenti) $option_select .= "<option value=\"$idutenti\">$nome_utente</option>";
else $nome_utente_vedi = $nome_utente;
} # fine for $num1
if ($option_select) {
echo "<td align=\"left\" width=\"180\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"pag_pren_corr\" value=\"$pag_pren_corr\">
<input type=\"hidden\" name=\"pag_pren_succ\" value=\"$pag_pren_succ\">
<input type=\"hidden\" name=\"pag_pren_prec\" value=\"$pag_pren_prec\">
<input type=\"hidden\" name=\"ordine_prenota\" value=\"$ordine_prenota\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"mos_tut_dat\" value=\"$mos_tut_dat\">
<input type=\"hidden\" name=\"cerca_prenota\" value=\"$cerca_prenota\">
<input type=\"hidden\" name=\"cerca_ini\" value=\"$cerca_ini\">
<input type=\"hidden\" name=\"cerca_fine\" value=\"$cerca_fine\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_ut_vedi\" value=\"".mex("Profilo",$pag)."\">
<select name=\"id_utente_vedi\">
<option value=\"$id_utente_vedi\" selected>$nome_utente_vedi</option>
$option_select
</select></form>";
} # fine if ($option_select)
$id_utente_vedi_passa = "&id_utente_vedi=$id_utente_vedi";
} # fine if ($id_utente == 1)
else unset($id_utente_vedi_passa);
echo "<td align=\"right\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"pag_pren_corr\" value=\"$pag_pren_corr\">
<input type=\"hidden\" name=\"pag_pren_succ\" value=\"$pag_pren_succ\">
<input type=\"hidden\" name=\"pag_pren_prec\" value=\"$pag_pren_prec\">
<input type=\"hidden\" name=\"ordine_prenota\" value=\"$ordine_prenota\">
<input type=\"hidden\" name=\"mos_tut_dat\" value=\"$mos_tut_dat\">
<input type=\"hidden\" name=\"cerca_prenota\" value=\"$cerca_prenota\">
<input type=\"hidden\" name=\"cerca_ini\" value=\"$cerca_ini\">
<input type=\"hidden\" name=\"cerca_fine\" value=\"$cerca_fine\">";
if ($id_utente == 1) echo "<input type=\"hidden\" name=\"id_utente_vedi\" value=\"$id_utente_vedi\">";
if (!$senza_colori) {
echo "<input type=\"hidden\" name=\"senza_colori\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" name=\"cambi_colori\" value=\"".mex("Senza colori",$pag)."\">";
} # fine if (!$senza_colori)
else echo "<input class=\"sbutton\" type=\"submit\" name=\"cambi_colori\" value=\"".mex("Con colori",$pag)."\">";
echo "</form></td></tr></table>";
} # fine if ($show_bar != "NO")

$tabelle_lock = "";
$altre_tab_lock = array("$tableprenota","$tableperiodi","$tablepersonalizza","$tableutenti");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

$col_tab_tutte_prenota = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'col_tab_tutte_prenota' and idutente = '$id_utente_vedi'");
$col_tab_tutte_prenota = risul_query($col_tab_tutte_prenota,0,valpersonalizza);
$colonne_selezionate = explode("#@&",$col_tab_tutte_prenota);
$num_colonne_selezionate = count($colonne_selezionate);
$num_ca_tab = 0;
$num_gr_tab = 0;
unset($colonna_numero);
unset($colonna_cognome);
unset($colonna_inizio);
unset($colonna_fine);
unset($colonna_settimane);
unset($colonna_tariffacompleta);
unset($colonna_caparra);
unset($colonna_pagato);
unset($colonna_dapagare);
unset($colonna_nometariffa);
unset($colonna_appartamento);
unset($colonna_persone);
unset($colonna_commento);
unset($colonna_datainserimento);
unset($colonna_utenteinserimento);
unset($colonne_necessarie);
for ($num1 = 0 ; $num1 < $num_colonne_selezionate ; $num1++) {
$colonna_selezionata = explode("#?&",$colonne_selezionate[$num1]);
if ($colonna_selezionata[0] == "nu") $colonna_numero = "SI";
if ($colonna_selezionata[0] == "cg") $colonna_cognome = "SI";
if ($colonna_selezionata[0] == "in") $colonna_inizio = "SI";
if ($colonna_selezionata[0] == "fi") $colonna_fine = "SI";
if ($colonna_selezionata[0] == "ns") $colonna_settimane = "SI";
if ($colonna_selezionata[0] == "tc") $colonna_tariffacompleta = "SI";
if ($colonna_selezionata[0] == "ca") $colonna_caparra = "SI";
if ($colonna_selezionata[0] == "pa") $colonna_pagato = "SI";
if ($colonna_selezionata[0] == "dp") $colonna_dapagare = "SI";
if ($colonna_selezionata[0] == "nt") $colonna_nometariffa = "SI";
if ($colonna_selezionata[0] == "ap") $colonna_appartamento = "SI";
if ($colonna_selezionata[0] == "pe") $colonna_persone = "SI";
if ($colonna_selezionata[0] == "co") $colonna_commento = "SI";
if ($colonna_selezionata[0] == "di") $colonna_datainserimento = "SI";
if ($colonna_selezionata[0] == "ui") $colonna_utenteinserimento = "SI";
if ($colonna_selezionata[0] == "cu" or $colonna_selezionata[0] == "cs") {
$tipo_ca_tab[$num_ca_tab] = $colonna_selezionata[0];
$nome_ca_tab[$num_ca_tab] = $colonna_selezionata[1];
$soprannome_ca_tab[$num_ca_tab] = $colonna_selezionata[2];
if ($colonna_selezionata[3] == "nec") $colonne_necessarie[ca][$num_ca_tab] = "SI";
$num_ca_tab++;
} # fine if ($colonna_selezionata[0] == "cu" or $colonna_selezionata[0] == "cs")
if ($colonna_selezionata[0] == "gr") {
$nome_gr_tab[$num_gr_tab] = $colonna_selezionata[1];
$separatore_gr_tab[$num_gr_tab] = $colonna_selezionata[2];
$num_ca_col_gr[$num_gr_tab] = 0;
for ($num2 = 3 ; $num2 < count($colonna_selezionata)  ; $num2++) {
$dati_col_gr = explode("#%&",$colonna_selezionata[$num2]);
if ($dati_col_gr[0] == "ns") $col_gr_settimane[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "ca") $col_gr_caparra[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "pa") $col_gr_pagato[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "dp") $col_gr_dapagare[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "nt") $col_gr_nometariffa[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "ap") $col_gr_appartamento[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "pe") $col_gr_persone[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "co") $col_gr_commento[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "di") $col_gr_datainserimento[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "ui") $col_gr_utenteinserimento[$num_gr_tab] = "SI";
if ($dati_col_gr[0] == "cu" or $dati_col_gr[0] == "cs") {
$tipo_ca_col_gr[$num_gr_tab][$num_ca_col_gr[$num_gr_tab]] = $dati_col_gr[0];
$nome_ca_col_gr[$num_gr_tab][$num_ca_col_gr[$num_gr_tab]] = $dati_col_gr[1];
$num_ca_col_gr[$num_gr_tab]++;
} # fine if ($dati_col_gr[0] == "cu" or $dati_col_gr[0] == "cs")
} # fine for $num2
if ($colonna_selezionata[(count($colonna_selezionata) - 1)] == "nec") $colonne_necessarie[gr][$num_gr_tab] = "SI";
$num_gr_tab++;
} # fine if ($colonna_selezionata[0] == "gr")
} # fine for $num1

if ($priv_vedi_tab_prenotazioni == "p") $condizione_prenota_proprie = "and utente_inserimento = '$id_utente_vedi'";
else $condizione_prenota_proprie = "";

$anno_succ = $anno + 1;
$periodi_anno = esegui_query("select idperiodi from $tableperiodi where datainizio < '".$anno_succ."-01-01' order by idperiodi");
$num_periodi_anno = numlin_query($periodi_anno) - 1;
$ultimo_periodo = risul_query($periodi_anno,$num_periodi_anno,idperiodi);
$prenotazioni = esegui_query("select * from $tableprenota where iddatainizio <= $ultimo_periodo and iddatainizio >= 1 $condizione_prenota_proprie order by $ordine_prenota");
$num_prenotazioni = numlin_query($prenotazioni);
$prenotazioni_successive =  esegui_query("select * from $tableprenota where iddatainizio > $ultimo_periodo $condizione_prenota_proprie order by $ordine_prenota");
$num_prenotazioni_successive = numlin_query($prenotazioni_successive);
$prenotazioni_precedenti =  esegui_query("select * from $tableprenota where iddatainizio < 1 $condizione_prenota_proprie order by $ordine_prenota");
$num_prenotazioni_precedenti = numlin_query($prenotazioni_precedenti);
$data_inizio_assoluta = esegui_query("select datainizio from $tableperiodi where idperiodi = 1");
$data_inizio_assoluta = risul_query($data_inizio_assoluta,0,datainizio);
$data_inizio_assoluta_f = formatta_data($data_inizio_assoluta,$stile_data);
$num_tabelle = 1;
if ($num_prenotazioni_precedenti != 0) {
$max_id_data_fine_prec = esegui_query("select max(iddatafine) from $tableprenota where iddatainizio < 1 $condizione_prenota_proprie");
$max_id_data_fine_prec = risul_query($max_id_data_fine_prec,0,0);
if ($priv_mod_prenota_iniziate == "s") $id_periodo_corrente = calcola_id_periodo_corrente($anno);
if ($max_id_data_fine_prec >= ($id_periodo_corrente + 1)) {
$num_tabelle = $num_tabelle + 1;
$tab_precedenti = "SI";
} # fine if ($max_id_data_fine_prec >= ($id_periodo_corrente + 1))
} # fine if ($num_prenotazioni_precedenti != 0)
if ($num_prenotazioni_successive != 0) { $num_tabelle = $num_tabelle + 1; }

$c_idinizioperiodo = 0;
$c_idfineperiodo = 0;

if (($cerca_prenota and $cerca_prenota != "tutte") or $subtotale_selezionate) {
$tabella_unica_riassuntiva = "SI";
$num_tabelle = 1;

$freccia_sx = "";
$freccia_dx = "";

if ($cerca_prenota and $cerca_prenota != "tutte") {
$cerca_ini = addslashes($cerca_ini);
$cerca_fine = addslashes($cerca_fine);
$cerca_ini_f = formatta_data($cerca_ini,$stile_data);
$c_idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '$cerca_ini' ");
$num_c_idinizioperiodo = numlin_query($c_idinizioperiodo);
if ($num_c_idinizioperiodo == 0) { $c_idinizioperiodo = 10000; }
else { $c_idinizioperiodo = risul_query($c_idinizioperiodo,0,idperiodi); }
if ($cerca_fine) {
$cerca_fine_f = formatta_data($cerca_fine,$stile_data);
$c_idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '$cerca_fine' ");
$num_c_idfineperiodo = numlin_query($c_idfineperiodo);
if ($num_c_idfineperiodo == 0) { $c_idfineperiodo = 10000; }
else { $c_idfineperiodo = risul_query($c_idfineperiodo,0,idperiodi); }
} # fine if ($cerca_fine)
else $c_idfineperiodo = 10000;
$c_idinizioperiodo_v = $c_idinizioperiodo;
if ($c_idinizioperiodo == 1) { $c_idinizioperiodo = -1; }
$prenotazioni = esegui_query("select * from $tableprenota where iddatainizio < $c_idfineperiodo and iddatafine >= $c_idinizioperiodo $condizione_prenota_proprie order by $ordine_prenota");
$num_prenotazioni = numlin_query($prenotazioni);
$frase_cerca = " ".mex("presenti dal",$pag)." $cerca_ini_f";
if ($cerca_fine) $frase_cerca .= " ".mex("al",$pag)." $cerca_fine_f";
if ($mos_tut_dat == "SI") include("./dati/selectperiodi$anno.$id_utente.php");
else include("./dati/selperiodimenu$anno.$id_utente.php");
$lista_date0 = explode("<option value=\"$cerca_ini\">",$dates_options_list);
$lista_date1 = explode("<option value=\"",$lista_date0[1]);
if (substr($lista_date1[1],0,10) == $cerca_fine) {
$lista_date0 = explode("<option value=\"",$lista_date0[0]);
$num_lista_date0 = count($lista_date0);
if ($num_lista_date0 > 1) {
$n_cerca_ini = substr($lista_date0[($num_lista_date0 - 1)],0,10);
$freccia_sx = "<a href=\"$pag?anno=$anno&id_sessione=$id_sessione&tipo_tabella=$tipo_tabella&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat&ordine_prenota=$ordine_prenota&id_utente_vedi=$id_utente_vedi&cerca_prenota=SI&cerca_ini=$n_cerca_ini&cerca_fine=$cerca_ini\">&lt;--</a>&nbsp;";
} # fine if ($num_lista_date0 > 1)
if (count($lista_date1) > 2) {
$n_cerca_fine = substr($lista_date1[2],0,10);
$freccia_dx = "&nbsp;<a href=\"$pag?anno=$anno&id_sessione=$id_sessione&tipo_tabella=$tipo_tabella&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat&ordine_prenota=$ordine_prenota&id_utente_vedi=$id_utente_vedi&cerca_prenota=SI&cerca_ini=$cerca_fine&cerca_fine=$n_cerca_fine\">--&gt;</a>";
} # fine if (count($lista_date1) > 2)
} # fine if (substr($lista_date1[0],0,10) == $cerca_fine)
} # fine if ($cerca_prenota and $cerca_prenota != "tutte")

if ($subtotale_selezionate) {
$prenotazioni = esegui_query("select idprenota from $tableprenota");
$num_prenotazioni = numlin_query($prenotazioni);
$numeri_prenota_sel_query = "";
for ($num1 = 0 ; $num1 < $num_prenotazioni ; $num1++) {
$numero = risul_query($prenotazioni,$num1,idprenota);
$cambianumero = "cambia".$numero;
if ($$cambianumero == "SI") {
if ($numeri_prenota_sel_query) $numeri_prenota_sel_query .= " or idprenota = '$numero'";
else $numeri_prenota_sel_query = "where ( idprenota = '$numero'";
} # fine if ($$cambianumero == "SI")
} # fine for $num1
if ($numeri_prenota_sel_query) $numeri_prenota_sel_query .= " ) ";
else if ($condizione_prenota_proprie) $condizione_prenota_proprie = "where utente_inserimento = '$id_utente_vedi'";
$prenotazioni = esegui_query("select * from $tableprenota $numeri_prenota_sel_query $condizione_prenota_proprie order by $ordine_prenota");
$num_prenotazioni = numlin_query($prenotazioni);
$frase_cerca = " ".mex("selezionate precedentemente",$pag);
} # fine if ($subtotale_selezionate)

} # fine if (($cerca_prenota and $cerca_prenota != "tutte") or $subtotale_selezionate)

else {
$frase_cerca = mex("del",$pag)." ".$anno;
$num_vedi_in_tab = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_tutte_prenota' and idutente = '$id_utente_vedi'");
$num_vedi_in_tab = risul_query($num_vedi_in_tab,0,valpersonalizza_num);
if ($num_prenotazioni > $num_vedi_in_tab or $num_prenotazioni_successive > $num_vedi_in_tab or $num_prenotazioni_precedenti > $num_vedi_in_tab) {
$oggi = date("Y-m-d",(time() + (C_DIFF_ORE * 3600)));
$annocorrente = date("Y",(time() + (C_DIFF_ORE * 3600)));
$idperiodocorrente = esegui_query("select idperiodi from $tableperiodi where datainizio <= '$oggi' and datafine >= '$oggi' ");
$numidperiodocorrente = numlin_query($idperiodocorrente);
if ( $numidperiodocorrente >= 1 ) {
$num_risposta = 0;
if ($numidperiodocorrente == 2) $num_risposta = 1;
$idperiodocorrente = risul_query($idperiodocorrente,$num_risposta,idperiodi);
if ($idperiodocorrente >= $inizioperiodo) { $prenota_iniziata = "SI"; }
} # fine if ( $numidperiodocorrente >= 1 )
else {
if ( $anno == $annocorrente ) {
$id_periodi_precedenti = esegui_query("select idperiodi from $tableperiodi where datainizio <= '$oggi'");
$num_id_periodi_precedenti = numlin_query($id_periodi_precedenti);
if ($num_id_periodi_precedenti > 0) $idperiodocorrente = 100000;
else $idperiodocorrente = 0;
} # fine if ( $anno == $annocorrente )
else if ( $anno < $annocorrente ) $idperiodocorrente = 100000;
else $idperiodocorrente = 0;
} # fine else if ( $numidperiodocorrente >= 1 )
} # fine if ($num_prenotazioni > $num_vedi_in_tab or ...
} # fine else if (($cerca_prenota and $cerca_prenota != "tutte") or $subtotale_selezionate)

$tutti_utenti = esegui_query("select * from $tableutenti order by idutenti");
for ($num1 = 0 ; $num1 < numlin_query($tutti_utenti) ; $num1++) {
$idutenti = risul_query($tutti_utenti,$num1,idutenti);
$nome_utente_prenota[$idutenti] = risul_query($tutti_utenti,$num1,nome_utente);
} # fine for $num1

unlock_tabelle($tabelle_lock);


if ($tab_precedenti == "SI" or ($cerca_prenota and $cerca_prenota != "tutte") or $subtotale_selezionate) {
$anno_prec_esistente = esegui_query("select idanni from $tableanni where idanni = '".($anno - 1)."'");
if (numlin_query($anno_prec_esistente) == 1) $anno_prec_esistente = "SI";
else $anno_prec_esistente = "NO";
} # fine ($tab_precedenti == "SI" or ($cerca_prenota and $cerca_prenota != "tutte") or $subtotale_selezionate)


echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"pag_pren_corr\" value=\"$pag_pren_corr\">
<input type=\"hidden\" name=\"pag_pren_succ\" value=\"$pag_pren_succ\">
<input type=\"hidden\" name=\"pag_pren_prec\" value=\"$pag_pren_prec\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"ordine_prenota\" value=\"$ordine_prenota\">
<input type=\"hidden\" name=\"mos_tut_dat\" value=\"$mos_tut_dat\">";
if ($id_utente == 1) echo "<input type=\"hidden\" name=\"id_utente_vedi\" value=\"$id_utente_vedi\">";
unset($lista_prenota_contr);

for ($num_tab = 1 ; $num_tab <= $num_tabelle ; $num_tab = $num_tab + 1) {
$pagina_prenota = "";
$costo_tot_TOT = 0;
$caparra_TOT = 0;
$pagato_TOT = 0;
if ($num_tab > 1) {
if ($tab_precedenti == "SI") {
$tab_precedenti = "";
$prenotazioni = $prenotazioni_precedenti;
$num_prenotazioni = $num_prenotazioni_precedenti;
$pagina_prenota_nome = "pag_pren_prec";
if ($pag_pren_prec) $pagina_prenota = $pag_pren_prec;
echo "<br><br><center><font size=+1><b>".mex("Tabella prenotazioni precedenti al",$pag)." $anno.</b></font></center><br>";
} # fine if ($tab_precedenti == "SI")
else {
$prenotazioni = $prenotazioni_successive;
$num_prenotazioni = $num_prenotazioni_successive;
$pagina_prenota_nome = "pag_pren_succ";
if ($pag_pren_succ) $pagina_prenota = $pag_pren_succ;
echo "<br><br><center><font size=+1><b>".mex("Tabella prenotazioni successive al",$pag)." $anno.</b></font></center><br>";
} # fine else if ($tab_precedenti == "SI")
} # fine if ($num_tab > 1)
else {
$pagina_prenota_nome = "pag_pren_corr";
if ($pag_pren_corr) $pagina_prenota = $pag_pren_corr;
echo "<center><font size=+1>$freccia_sx<b>".mex("Tabella con tutte le prenotazioni",$pag)." $frase_cerca.</b>$freccia_dx</font></center><br>";
} # fine else if ($num_tab > 1)

if (!$tabella_unica_riassuntiva and $num_prenotazioni > $num_vedi_in_tab) {
$num_pagine_prenota = ceil($num_prenotazioni/$num_vedi_in_tab);
$stringa_pagine = "<center><font size=\"-1\">".mex("pagine",$pag)."</font>:";
for ($num1 = 1 ; $num1 <= $num_pagine_prenota ; $num1++) {
if (!$pagina_prenota and $num1 == $num_pagine_prenota) $pagina_prenota = $num_pagine_prenota;
if (!$pagina_prenota) {
#$iddata_inizio_parziale = risul_query($prenotazioni,(($num1 -1)*$num_vedi_in_tab),iddatainizio);
$iddata_inizio_ultima = risul_query($prenotazioni,(($num1*$num_vedi_in_tab)-1),iddatainizio);
if ($idperiodocorrente <= $iddata_inizio_ultima) $pagina_prenota = $num1;
} # fine if (!$pagina_prenota)
$stringa_pagine .= " ";
if ($num1 != $pagina_prenota) {
$stringa_pagine .= "<a href=\"visualizza_tabelle.php?tipo_tabella=prenotazioni&anno=$anno&id_sessione=$id_sessione$id_utente_vedi_passa&cerca_prenota=$cerca_prenota&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat&$pagina_prenota_nome=$num1";
if ($pagina_prenota_nome != "pag_pren_corr") $stringa_pagine .= "&pag_pren_corr=$pag_pren_corr";
if ($pagina_prenota_nome != "pag_pren_prec") $stringa_pagine .= "&pag_pren_prec=$pag_pren_prec";
if ($pagina_prenota_nome != "pag_pren_succ") $stringa_pagine .= "&pag_pren_succ=$pag_pren_succ";
$stringa_pagine .= "\">";
} # fine if ($num1 != $pagina_prenota)
else $stringa_pagine .= "<b>";
$stringa_pagine .= "$num1";
if ($num1 != $pagina_prenota) $stringa_pagine .= "</a>";
else $stringa_pagine .= "</b>";
} # fine for $num1
$stringa_pagine .= "</center>";
echo $stringa_pagine;
$stringa_puntini_tab = "<tr><td align=\"center\" colspan=\"".($num_colonne_selezionate+6)."\">...</td></tr>";
} # fine if ($num_prenotazioni > $num_vedi_in_tab)
else $pagina_prenota = 1;

$colore_sfondo = "$t1color";
if ($senza_colori) $colore_sfondo = "";
echo "<table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$colore_sfondo\">
<tr><td align=\"center\"";
if ($colonna_numero) echo " colspan=\"2\">";
else echo ">&nbsp;";
if ($colonna_numero) {
if ($ordine_prenota != "idprenota") echo "<a href=\"./visualizza_tabelle.php?anno=$anno&id_sessione=$id_sessione&tipo_tabella=prenotazioni&pag_pren_corr=$pag_pren_corr&pag_pren_prec=$pag_pren_prec&pag_pren_succ=$pag_pren_succ&ordine_prenota=idprenota$id_utente_vedi_passa&cerca_prenota=$cerca_prenota&cerca_ini=$cerca_ini&cerca_fine=$cerca_fine&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat\">";
echo mex("N°",$pag);
if ($ordine_prenota != "idprenota") echo "</a>";
} # fine if ($colonna_numero)
echo "</td>";
if ($colonna_cognome) echo "<td align=\"center\">".mex("Cognome_cliente",$pag)."</td>";
if ($colonna_inizio) {
echo "<td align=\"center\">";
if ($ordine_prenota != "iddatainizio") echo "<a href=\"./visualizza_tabelle.php?anno=$anno&id_sessione=$id_sessione&tipo_tabella=prenotazioni&pag_pren_corr=$pag_pren_corr&pag_pren_prec=$pag_pren_prec&pag_pren_succ=$pag_pren_succ&ordine_prenota=iddatainizio$id_utente_vedi_passa&cerca_prenota=$cerca_prenota&cerca_ini=$cerca_ini&cerca_fine=$cerca_fine&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat\">";
echo mex("Data_iniziale",$pag);
if ($ordine_prenota != "iddatainizio") echo "</a>";
echo "</td>";
} # fine if ($colonna_inizio)
if ($colonna_fine) {
echo "<td align=\"center\">";
if ($ordine_prenota != "iddatafine") echo "<a href=\"./visualizza_tabelle.php?anno=$anno&id_sessione=$id_sessione&tipo_tabella=prenotazioni&pag_pren_corr=$pag_pren_corr&pag_pren_prec=$pag_pren_prec&pag_pren_succ=$pag_pren_succ&ordine_prenota=iddatafine$id_utente_vedi_passa&cerca_prenota=$cerca_prenota&cerca_ini=$cerca_ini&cerca_fine=$cerca_fine&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat\">";
echo mex("Data_finale",$pag);
if ($ordine_prenota != "iddatafine") echo "</a>";
echo "</td>";
} # fine if ($colonna_fine)
if ($colonna_settimane) echo "<td align=\"center\"><font size=-2>".mex("$parola_sett",$pag).".</font></td>";
if ($colonna_tariffacompleta) echo "<td align=\"center\"><font size=-1>".mex("Tariffa_completa",$pag)."</font></td>";
if ($colonna_caparra) echo "<td align=\"center\">".mex("Caparra",$pag)."</td>";
if ($colonna_pagato) echo "<td align=\"center\">".mex("Pagato",$pag)."</td>";
if ($colonna_dapagare) echo "<td align=\"center\"><font size=-2>".mex("Da_pagare",$pag)."</font></td>";
if ($colonna_nometariffa) {
echo "<td align=\"center\">";
if ($ordine_prenota != "tariffa") echo "<a href=\"./visualizza_tabelle.php?anno=$anno&id_sessione=$id_sessione&tipo_tabella=prenotazioni&pag_pren_corr=$pag_pren_corr&pag_pren_prec=$pag_pren_prec&pag_pren_succ=$pag_pren_succ&ordine_prenota=tariffa$id_utente_vedi_passa&cerca_prenota=$cerca_prenota&cerca_ini=$cerca_ini&cerca_fine=$cerca_fine&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat\">";
echo mex("Tariffa",$pag);
if ($ordine_prenota != "tariffa") echo "</a>";
echo "</td>";
} # fine if ($colonna_nometariffa)
if ($colonna_appartamento) echo "<td align=\"center\"><font size=-2>".mex("App",$pag).".</font></td>";
if ($colonna_persone) echo "<td align=\"center\"><font size=-2>".mex("Pers",$pag).".</font></td>";
if ($colonna_commento) echo "<td align=\"center\">".mex("Commento",$pag)."</td>";
if ($colonna_datainserimento) {
echo "<td align=\"center\"><font size=-2>";
if ($ordine_prenota != "datainserimento") echo "<a href=\"./visualizza_tabelle.php?anno=$anno&id_sessione=$id_sessione&tipo_tabella=prenotazioni&pag_pren_corr=$pag_pren_corr&pag_pren_prec=$pag_pren_prec&pag_pren_succ=$pag_pren_succ&ordine_prenota=datainserimento$id_utente_vedi_passa&cerca_prenota=$cerca_prenota&cerca_ini=$cerca_ini&cerca_fine=$cerca_fine&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat\">";
echo mex("Data di inserimento",$pag);
if ($ordine_prenota != "datainserimento") echo "</a>";
echo "</font></td>";
} # fine if ($colonna_datainserimento)
if ($colonna_utenteinserimento) echo "<td align=\"center\">".mex("Utente",$pag)."</td>";
for ($num1 = 0 ; $num1 < $num_ca_tab ; $num1++) {
echo "<td align=\"center\">";
if ($soprannome_ca_tab[$num1]) {
if (num_caratteri_testo($soprannome_ca_tab[$num1]) > 4) $soprannome_ca_tab[$num1] = "<font size=-2>".$soprannome_ca_tab[$num1]."</font>";
echo $soprannome_ca_tab[$num1];
} # fine if ($soprannome_ca[$num1])
else {
if ($tipo_ca_tab[$num1] == "cu") echo "<font size=-2>".mex("Costo_uni.",$pag)." ".$nome_ca_tab[$num1]."</font>";
if ($tipo_ca_tab[$num1] == "cs") echo "<font size=-2>".mex("Costo_$parola_sett.",$pag)." ".$nome_ca_tab[$num1]."</font>";
} # fine else if ($soprannome_ca[$num1])
echo "</td>";
} # fine for $num1
for ($num1 = 0 ; $num1 < $num_gr_tab ; $num1++) {
echo "<td align=\"center\">";
if (num_caratteri_testo($nome_gr_tab[$num1]) > 4) $nome_gr_tab[$num1] = "<font size=-2>".$nome_gr_tab[$num1]."</font>";
echo $nome_gr_tab[$num1];
echo "</td>";
} # fine for $num1
echo "</tr>";

if (!$tabella_unica_riassuntiva and $num_prenotazioni > $num_vedi_in_tab and $pagina_prenota != 1) echo $stringa_puntini_tab;

for ($num1 = 0 ; $num1 < $num_prenotazioni ; $num1 = $num1 + 1) {
$numero = risul_query($prenotazioni,$num1,idprenota);
$lista_prenota_contr .= ",".$numero;
$id_clienti = risul_query($prenotazioni,$num1,idclienti);
$cognome = esegui_query("select cognome,utente_inserimento from $tableclienti where idclienti = '$id_clienti'");
$mostra_cliente = "SI";
if ($vedi_clienti == "NO") $mostra_cliente = "NO";
if ($vedi_clienti == "PROPRI") {
$utente_inserimento = risul_query($cognome,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($mostra_cliente == "NO") $cognome = mex("Cliente",$pag)." $id_clienti";
else $cognome = risul_query($cognome,0,cognome);
$cognome = htmlspecialchars($cognome);
$appartamento = risul_query($prenotazioni,$num1,idappartamenti);

$id_data_fine = risul_query($prenotazioni,$num1,iddatafine);
$data_fine = esegui_query("select * from $tableperiodi where idperiodi = $id_data_fine");
$data_fine = risul_query($data_fine,0,datafine);
$data_fine_f = formatta_data($data_fine,$stile_data);
$id_data_inizio = risul_query($prenotazioni,$num1,iddatainizio);
if ($id_data_inizio == 0) {
$data_inizio_f = "<".$data_inizio_assoluta_f;
$id_prenota_prec = risul_query($prenotazioni,$num1,commento);
if ($id_prenota_prec and $anno_prec_esistente == "SI") {
$dati_prenota_prec = esegui_query("select * from $PHPR_TAB_PRE"."prenota".($anno - 1)." where idprenota = '$id_prenota_prec'");
if (numlin_query($dati_prenota_prec) == 1) {
$id_data_inizio_prec = risul_query($dati_prenota_prec,0,iddatainizio);
$id_data_fine_prec = risul_query($dati_prenota_prec,0,iddatafine);
$data_inizio = esegui_query("select * from $PHPR_TAB_PRE"."periodi".($anno - 1)." where idperiodi = $id_data_inizio_prec");
$data_inizio = risul_query($data_inizio,0,datainizio);
$data_inizio_f = formatta_data($data_inizio,$stile_data);
$num1_orig = $num1;
$num1 = 0;
$prenotazioni_orig = $prenotazioni;
$prenotazioni = $dati_prenota_prec;
$numero_settimane = $id_data_fine_prec - $id_data_inizio_prec + 1;
} # fine if (numlin_query($dati_prenota_prec) == 1)
} # fine if ($id_prenota_prec and $anno_prec_esistente == "SI")
} # fine if ($id_data_inizio == 0)
else {
$data_inizio = esegui_query("select * from $tableperiodi where idperiodi = $id_data_inizio");
$data_inizio = risul_query($data_inizio,0,datainizio);
$data_inizio_f = formatta_data($data_inizio,$stile_data);
} # fine else if ($id_data_inizio == 0)
$mese = explode("-",$data_inizio);
$mese = $mese[1];
if ($id_data_inizio != 0) $numero_settimane = $id_data_fine - $id_data_inizio + 1;
else if (substr($data_inizio_f,0,1) == "<") $numero_settimane = "?";
if ($c_idinizioperiodo and $c_idinizioperiodo > $id_data_inizio) $id_data_inizio_cerca = $c_idinizioperiodo;
else $id_data_inizio_cerca = $id_data_inizio;
if ($c_idfineperiodo and $c_idfineperiodo < $id_data_fine) $id_data_fine_cerca = $c_idfineperiodo;
else $id_data_fine_cerca = $id_data_fine;
$numero_settimane_cerca = $id_data_fine_cerca - $id_data_inizio_cerca + 1;

$commento = risul_query($prenotazioni,$num1,commento);
$commento = htmlspecialchars($commento);
if (!$commento) { $commento = "&nbsp;"; }
$datainserimento = risul_query($prenotazioni,$num1,datainserimento);
$datainserimento_f =formatta_data($datainserimento,$stile_data);
$num_persone = risul_query($prenotazioni,$num1,num_persone);
if (!$num_persone or $num_persone == 0) { $num_persone = "?"; }
$tariffesettimanali = risul_query($prenotazioni,$num1,tariffesettimanali);

$dati_cap = dati_costi_agg_prenota($tablecostiprenota,$numero);
unset($num_letti_agg);
unset($cu_presente);
unset($cs_presente);
unset($settimane_costo);
unset($moltiplica_costo);
unset($num_sett_costo);
for ($numca = 0 ; $numca < $dati_cap[num] ; $numca++) {
if ($dati_cap[$numca][associasett] == "s") {
if ($c_idinizioperiodo or $c_idfineperiodo) {
for ($num2 = $c_idinizioperiodo; $num2 <= $c_idfineperiodo; $num2++) {
if ($dati_cap[$numca][settimane] != str_replace(",$num2,","",$dati_cap[$numca][settimane])) $settimane_costo[$numca] .= ",".$num2;
} # fine for $num2
if ($settimane_costo[$numca]) $settimane_costo[$numca] .= ",";
$settimane = explode(",",$dati_cap[$numca][settimane]);
$moltiplica_sett = explode(",",$dati_cap[$numca][moltiplica_costo]);
for ($num2 = 1 ; $num2 < (count($settimane) - 1) ; $num2++) if ($settimane_costo[$numca] != str_replace(",".$settimane[$num2].",","",$settimane_costo[$numca])) $moltiplica_costo[$numca] .= ",".$moltiplica_sett[$num2];
if ($moltiplica_costo[$numca]) $moltiplica_costo[$numca] .= ",";
} # fine if ($c_idinizioperiodo or $c_idfineperiodo)
else {
$settimane_costo[$numca] = $dati_cap[$numca][settimane];
$moltiplica_costo[$numca] = $dati_cap[$numca][moltiplica_costo];
} # fine else if ($c_idinizioperiodo or $c_idfineperiodo)
aggiorna_letti_agg_in_periodi($dati_cap,$numca,$num_letti_agg,$id_data_inizio,$id_data_fine,$settimane_costo[$numca],$moltiplica_costo[$numca],"","");
if ($settimane_costo[$numca]) $cs_presente[$dati_cap[$numca][nome]] = (string) $numca;
$num_sett_costo[$numca] = explode(",",$settimane_costo[$numca]);
$num_sett_costo[$numca] = count($num_sett_costo[$numca]) - 2;
$molt_uguali = "SI";
$molt = explode(",",$moltiplica_costo[$numca]);
for ($num2 = 2 ; $num2 < (count($molt) - 1) ; $num2++) if ($molt[1] != $molt[$num2]) $molt_uguali = "NO";
if ($molt_uguali == "SI") $moltiplica_costo[$numca] = $molt[1];
else $moltiplica_costo[$numca] = "(".substr($moltiplica_costo[$numca],1,-1).")";
} # fine if ($dati_cap[$numca][associasett] == "s")
else {
if ($dati_cap[$numca][tipo] == "u") $cu_presente[$dati_cap[$numca][nome]] = (string) $numca;
if ($dati_cap[$numca][tipo] == "s") {
$cs_presente[$dati_cap[$numca][nome]] = (string) $numca;
$num_sett_costo[$numca] = $dati_cap[$numca][settimane];
} # fine if ($dati_cap[$numca][tipo] == "s")
$moltiplica_costo[$numca] = $dati_cap[$numca][moltiplica_costo];
aggiorna_letti_agg_in_periodi($dati_cap,$numca,$num_letti_agg,$id_data_inizio,$id_data_fine,$dati_cap[$numca][settimane],$dati_cap[$numca][moltiplica_costo],"","");
} # fine else if (($c_idinizioperiodo or $c_idfineperiodo) and $dati_cap[$numca][associasett] == "s")
} # fine for $numca
$n_letti_agg = $num_letti_agg[max];

$nome_tariffa = risul_query($prenotazioni,$num1,tariffa);
$nome_tariffa = explode("#@&",$nome_tariffa);
$nome_tariffa = $nome_tariffa[0];
if (!$nome_tariffa) $nome_tariffa = "&nbsp;";
$caparra = risul_query($prenotazioni,$num1,caparra);
if (!$caparra) { $caparra = 0; }
$caparra_p = punti_in_num($caparra,$stile_soldi);
$pagato = risul_query($prenotazioni,$num1,pagato);
if (!$pagato) { $pagato = 0; }
$pagato_p = punti_in_num($pagato,$stile_soldi);
$costo_tot = risul_query($prenotazioni,$num1,tariffa_tot);
if (!$costo_tot) { $costo_tot = 0; }
$costo_tot_p = punti_in_num($costo_tot,$stile_soldi);
$da_pagare = $costo_tot - $pagato;
$da_pagare_p = punti_in_num($da_pagare,$stile_soldi);
$confermato = risul_query($prenotazioni,$num1,conferma);
$confermato = substr($confermato,0,1);
$colore = "";
if ($pagato < $costo_tot) {
$colore = "#FFEE22"; #giallo
if ($pagato < $caparra) $colore = "#FF9900"; #arancione
if ($confermato != "S") $colore = "#CC0000"; # rosso
} # fine if ($pagato < $costo_tot)
if ($senza_colori) $colore = "";

$link_modifica = "SI";
$utente_inserimento = risul_query($prenotazioni,$num1,utente_inserimento);
$nome_utente_inserimento = $nome_utente_prenota[$utente_inserimento];
if ($priv_mod_prenotazioni == "n") $link_modifica = "NO";
if ($priv_mod_prenotazioni == "p" and $utente_inserimento != $id_utente) $link_modifica = "NO";
if ($priv_mod_prenota_iniziate != "s" and $id_periodo_corrente >= $id_data_inizio) $link_modifica = "NO";
if ($priv_mod_prenota_ore != "000") {
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
$data_ins = risul_query($prenotazioni,$num1,datainserimento);
$limite = date("YmdHis",mktime((substr($data_ins,11,2) + $priv_mod_prenota_ore),substr($data_ins,14,2),substr($data_ins,17,2),substr($data_ins,5,2),substr($data_ins,8,2),substr($data_ins,0,4)));
if ($adesso > $limite) $link_modifica = "NO";
} # fine if ($priv_mod_prenota_ore != "000")
if ($link_modifica == "SI") {
$link_modifica_inizio = "<a href=\"modifica_prenota.php?id_prenota=$numero&anno=$anno&id_sessione=$id_sessione&origine=visualizza_tabelle.php\">";
$link_modifica_fine = "</a>";
#$checkbox_modifica = "<input type=\"checkbox\" name=\"cambia$numero\" value=\"SI\">";
} # fine if ($link_modifica == "SI")
else {
unset($link_modifica_inizio);
unset($link_modifica_fine);
#$checkbox_modifica = "&nbsp;";
} # fine else if ($link_modifica == "SI")

if ($id_data_inizio == 0 and substr($data_inizio_f,0,1) != "<") {
$num1 = $num1_orig;
$prenotazioni = $prenotazioni_orig;
} # fine ($id_data_inizio == 0 and substr($data_inizio_f,0,1) != "<")

if ($tabella_unica_riassuntiva or (($num1+1) > (($pagina_prenota - 1)*$num_vedi_in_tab) and ($num1+1) <= (($pagina_prenota)*$num_vedi_in_tab)) ) {

if (@is_array($colonne_necessarie)) $mostra_riga = "NO";
else $mostra_riga = "SI";
unset($colonne_costi);
for ($num2 = 0 ; $num2 < $num_ca_tab ; $num2++) {
$costo_trovato = "NO";
$colonne_costi .= "<td align=\"center\"><font size=-2>";
if ($tipo_ca_tab[$num2] == "cu" and $cu_presente[$nome_ca_tab[$num2]] != "") $costo_trovato = $cu_presente[$nome_ca_tab[$num2]];
if ($tipo_ca_tab[$num2] == "cs" and $cs_presente[$nome_ca_tab[$num2]] != "") $costo_trovato = $cs_presente[$nome_ca_tab[$num2]];
if ($costo_trovato != "NO") {
if ($num_sett_costo[$costo_trovato] and $num_sett_costo[$costo_trovato] != $numero_settimane_cerca) $colonne_costi .= $num_sett_costo[$costo_trovato].mex($lettera_s,$pag);
else $colonne_costi .=  "SI";
if ($moltiplica_costo[$costo_trovato] != 1) $colonne_costi .= " x".$moltiplica_costo[$costo_trovato];
if ($mostra_riga == "NO") if ($colonne_necessarie[ca][$num2] == "SI") $mostra_riga = "SI";
} # fine if ($costo_trovato != "NO")
if ($costo_trovato == "NO") $colonne_costi .= "&nbsp;";
$colonne_costi .= "</font></td>";
} # fine for $num2
for ($num2 = 0 ; $num2 < $num_gr_tab ; $num2++) {
$separatore = $separatore_gr_tab[$num2];
$spazio = "";
$colonne_costi .= "<td align=\"center\"><font size=-2>";
if ($col_gr_settimane[$num2] == "SI") { $colonne_costi .= "$numero_settimane"; $spazio = $separatore; }
if ($col_gr_caparra[$num2] == "SI") { $colonne_costi .= "$spazio$caparra_p"; $spazio = $separatore; }
if ($col_gr_pagato[$num2] == "SI") { $colonne_costi .= "$spazio$pagato_p"; $spazio = $separatore; }
if ($col_gr_dapagare[$num2] == "SI") { $colonne_costi .= "$spazio$da_pagare_p"; $spazio = $separatore; }
if ($col_gr_nometariffa[$num2] == "SI") { $colonne_costi .= "$spazio$nome_tariffa"; $spazio = $separatore; }
if ($col_gr_appartamento[$num2] == "SI") { $colonne_costi .= "$spazio$appartamento"; $spazio = $separatore; }
if ($col_gr_persone[$num2] == "SI") {
$colonne_costi .= "$spazio$num_persone";
if ($n_letti_agg != 0) { $colonne_costi .= "+$n_letti_agg"; }
$spazio = $separatore;
} # fine if ($col_gr_persone[$num2] == "SI")
if ($col_gr_commento[$num2] == "SI") { $colonne_costi .= "$spazio$commento"; $spazio = $separatore; }
if ($col_gr_datainserimento[$num2] == "SI") { $colonne_costi .= "$spazio$datainserimento_f"; $spazio = $separatore; }
if ($col_gr_utenteinserimento[$num2] == "SI") { $colonne_costi .= "$spazio$nome_utente_inserimento"; $spazio = $separatore; }
for ($num3 = 0 ; $num3 < $num_ca_col_gr[$num2] ; $num3++) {
$costo_trovato = "NO";
if ($tipo_ca_col_gr[$num2][$num3] == "cu" and $cu_presente[$nome_ca_col_gr[$num2][$num3]] != "") $costo_trovato = $cu_presente[$nome_ca_col_gr[$num2][$num3]];
if ($tipo_ca_col_gr[$num2][$num3] == "cs" and $cs_presente[$nome_ca_col_gr[$num2][$num3]] != "") $costo_trovato = $cs_presente[$nome_ca_col_gr[$num2][$num3]];
if ($costo_trovato != "NO") {
$colonne_costi .= $spazio;
if ($num_sett_costo[$costo_trovato] and $num_sett_costo[$costo_trovato] != $numero_settimane_cerca) $colonne_costi .= $num_sett_costo[$costo_trovato].mex($lettera_s,$pag);
else $colonne_costi .= "SI";
if ($moltiplica_costo[$costo_trovato] != 1) $colonne_costi .= "x".$moltiplica_costo[$costo_trovato];
$spazio = $separatore;
} # fine if ($costo_trovato != "NO")
} # fine for $num3
if (!$spazio) $colonne_costi .= "&nbsp;";
elseif ($mostra_riga == "NO") if ($colonne_necessarie[gr][$num2] == "SI") $mostra_riga = "SI";
$colonne_costi .= "</font></td>";
} # fine for $num2

if ($mostra_riga == "SI") {

echo "<tr>";
if ($colonna_numero) echo "<td align=\"center\">$link_modifica_inizio$numero$link_modifica_fine</td>";
echo "<td align=\"center\"><input type=\"checkbox\" name=\"cambia$numero\" value=\"SI\"></td>";
if ($colonna_cognome) echo "<td align=\"center\">$cognome</td>";
if ($colonna_inizio) echo "<td align=\"center\">$data_inizio_f</td>";
if ($colonna_fine) echo "<td align=\"center\">$data_fine_f</td>";
if ($colonna_settimane) echo "<td align=\"center\">$numero_settimane</td>";
if ($colonna_tariffacompleta) echo "<td align=\"center\">$costo_tot_p</td>";
if ($colonna_caparra) echo "<td align=\"center\">$caparra_p</td>";
if ($colonna_pagato) {
echo "<td align=\"center\"";
if ($colore) echo " bgcolor =\"$colore\"";
echo ">$pagato_p</td>";
} # fine if ($colonna_pagato)
if ($colonna_dapagare) {
echo "<td align=\"center\"";
if ($colore) echo " bgcolor =\"$colore\"";
echo ">$da_pagare_p</td>";
} # fine if ($colonna_dapagare)
if ($colonna_nometariffa) {
if (num_caratteri_testo($nome_tariffa) > 10) $nome_tariffa_vedi = "<font size=-2>$nome_tariffa</font>";
else $nome_tariffa_vedi = $nome_tariffa;
echo "<td align=\"center\">$nome_tariffa_vedi</td>";
} # fine if ($colonna_nometariffa)
if ($colonna_appartamento) echo "<td align=\"center\">$appartamento</td>";
if ($colonna_persone) {
echo "<td align=\"center\">$num_persone";
if ($n_letti_agg != 0) { echo "+$n_letti_agg"; }
echo "</td>";
} # fine if ($colonna_persone)
if ($colonna_commento) echo "<td align=\"center\"><font size=-2>$commento</font></td>";
if ($colonna_datainserimento) echo "<td align=\"center\"><font size=-2>$datainserimento_f</font></td>";
if ($colonna_utenteinserimento) echo "<td align=\"center\">$nome_utente_inserimento</td>";
echo "$colonne_costi
</tr>";

} # fine if ($mostra_riga == "SI")

} # fine if (($num1+1) > ($pagina_prenota*20) and ($num1+1) < ($pagina_prenota*(20+1)))

$costo_tot_TOT = $costo_tot_TOT + $costo_tot;
$caparra_TOT = $caparra_TOT + $caparra;
$pagato_TOT = $pagato_TOT + $pagato;
} # fine for $num1

if (!$tabella_unica_riassuntiva and $num_prenotazioni > $num_vedi_in_tab and $pagina_prenota != $num_pagine_prenota) echo $stringa_puntini_tab;

if (!$tabella_unica_riassuntiva and $num_tab == 1) {
$soldi_prenota_cancellate = esegui_query("select * from $tablesoldi where idsoldi = 1");
$soldi_prenota_cancellate = risul_query($soldi_prenota_cancellate,0,soldi_prima);
if ($soldi_prenota_cancellate != 0) {
$costo_tot_TOT = $costo_tot_TOT + $soldi_prenota_cancellate;
$pagato_TOT = $pagato_TOT + $soldi_prenota_cancellate;
$col_soldi_cancellati = 1;
if ($colonna_numero) $col_soldi_cancellati++;
if ($colonna_cognome) $col_soldi_cancellati++;
if ($colonna_inizio) $col_soldi_cancellati++;
if ($colonna_fine) $col_soldi_cancellati++;
if ($colonna_settimane) $col_soldi_cancellati++;
$soldi_prenota_cancellate_p = punti_in_num($soldi_prenota_cancellate,$stile_soldi);
if ($colonna_tariffacompleta or $colonna_pagato) {
echo "<tr><td align=\"center\" colspan=\"$col_soldi_cancellati\"><i>".mex("Soldi di prenotazioni cancellate",$pag)."</i></td>";
if ($colonna_tariffacompleta) echo "<td align=\"center\">$soldi_prenota_cancellate_p</td>";
if ($colonna_caparra) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_pagato) echo "<td align=\"center\">$soldi_prenota_cancellate_p</td>";
if ($colonna_dapagare) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_nometariffa) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_appartamento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_persone)  echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_commento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_datainserimento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_utenteinserimento) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_ca_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_gr_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
echo "</tr>";
} # fine if ($colonna_tariffacompleta or $colonna_pagato)
} # fine if ($soldi_prenota_cancellate)
} # fine if (!$tabella_unica_riassuntiva and $num_tab == 1)

$costo_tot_TOT_p = punti_in_num($costo_tot_TOT,$stile_soldi);
$caparra_TOT_p = punti_in_num($caparra_TOT,$stile_soldi);
$pagato_TOT_p = punti_in_num($pagato_TOT,$stile_soldi);
$da_pagare_TOT = $costo_tot_TOT - $pagato_TOT;
$da_pagare_TOT_p = punti_in_num($da_pagare_TOT,$stile_soldi);
$col_totale = 1;
if ($colonna_numero) $col_totale++;
if ($colonna_cognome) $col_totale++;
if ($colonna_inizio) $col_totale++;
if ($colonna_fine) $col_totale++;
if ($colonna_settimane) $col_totale++;
if ($colonna_numero or $colonna_tariffacompleta or $colonna_caparra or $colonna_pagato or $colonna_dapagare) {
echo "<tr>";
if ($colonna_numero) echo "<td align=\"center\">$num_prenotazioni</td>";
echo "<td align=\"center\" colspan=\"".($col_totale - 1)."\"><b><i>".mex("TOTALE",$pag)."</i></b></td>";
if ($colonna_tariffacompleta) echo "<td align=\"center\">$costo_tot_TOT_p</td>";
if ($colonna_caparra) echo "<td align=\"center\">$caparra_TOT_p</td>";
if ($colonna_pagato) echo "<td align=\"center\">$pagato_TOT_p</td>";
if ($colonna_dapagare) echo "<td align=\"center\">$da_pagare_TOT_p</td>";
if ($colonna_nometariffa) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_appartamento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_persone)  echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_commento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_datainserimento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_utenteinserimento) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_ca_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_gr_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
echo "</tr>";
} # fine if ($colonna_numero or $colonna_tariffacompleta or $colonna_caparra or $colonna_pagato or $colonna_dapagare)

$costo_cassa = esegui_query("select * from $tablecosti where idcosti = 0");
$costo_cassa = risul_query($costo_cassa,0,val_costo);
if ($costo_cassa and $num_tab == 1 and !$tabella_unica_riassuntiva) {
$resto_tot = $costo_tot_TOT - $costo_cassa;
$resto_pagato = $pagato_TOT - $costo_cassa;
$costo_cassa_p = punti_in_num($costo_cassa,$stile_soldi);
$resto_pagato_p = punti_in_num($resto_pagato,$stile_soldi);
$resto_tot_p = punti_in_num($resto_tot,$stile_soldi);
$col_costo_cassa = 0;
if ($colonna_tariffacompleta) $col_costo_cassa++;
if ($colonna_caparra) $col_costo_cassa++;
if ($colonna_pagato) $col_costo_cassa++;
if ($col_costo_cassa > 0) {
echo "<tr><td align=\"center\" colspan=\"$col_totale\"><b><i>".mex("Trasferito in cassa",$pag).":</i></b></td>
<td align=\"center\" colspan=\"$col_costo_cassa\">$costo_cassa_p</td>";
if ($colonna_dapagare) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_nometariffa) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_appartamento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_persone)  echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_commento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_datainserimento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_utenteinserimento) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_ca_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_gr_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
echo "</tr>
<tr><td align=\"center\" colspan=\"$col_totale\"><b><i>".mex("RESTO",$pag)."</i></b></td>";
if ($colonna_tariffacompleta) echo "<td align=\"center\">$resto_tot_p</td>";
if ($colonna_caparra) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_pagato) echo "<td align=\"center\">$resto_pagato_p</td>";
if ($colonna_dapagare) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_nometariffa) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_appartamento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_persone)  echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_commento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_datainserimento) echo "<td align=\"center\">&nbsp;</td>";
if ($colonna_utenteinserimento) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_ca_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
for ($num2 = 0 ; $num2 < $num_gr_tab ; $num2++) echo "<td align=\"center\">&nbsp;</td>";
echo "</tr>";
} # fine if ($col_costo_cassa > 0)
} # fine if ($costo_cassa and $num_tab == 1 and !$tabella_unica_riassuntiva)

echo "</table>";
if (!$tabella_unica_riassuntiva and $num_prenotazioni > $num_vedi_in_tab) echo $stringa_pagine;

} # fine for $num_tab

if ($lista_prenota_contr) $lista_prenota_contr .= ",";

if ($show_bar != "NO") {
echo "<br><center>";
if ($priv_mod_pagato != "n") {
echo "<input class=\"sbutton\" type=\"submit\" name=\"cambia_pagato\" value=\"".mex("Cambia le prenotazioni selezionate",$pag)."\">
 ".mex("ponendo",$pag)." <select name=\"somma_pagata\">";
if ($priv_mod_pagato == "s") echo "<option value=\"tutto\" selected>".mex("tutto pagato",$pag)."</option>
<option value=\"caparra\">".mex("caparra pagata",$pag)."</option>
<option value=\"niente\">".mex("pagato niente",$pag)."</option>";
if ($priv_mod_pagato != "n") echo "<option value=\"conferma\">".mex("la conferma",$pag)."</option>";
echo "</select><font size=\"-2\"><br><br></font>";
} # fine if ($priv_mod_pagato != "n")
echo "<input class=\"sbutton\" type=\"submit\" name=\"subtotale_selezionate\" value=\"".mex("Calcola il subtotale delle prenotazioni selezionate",$pag)."\">
</center>";
} # fine if ($show_bar != "NO")
echo "</form>";

$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente'");
$nomi_contratti = risul_query($nomi_contratti,0,valpersonalizza);
$nomi_contratti = explode("#@&",$nomi_contratti);
$num_nomi_contratti = count($nomi_contratti);
for ($num1 = 0 ; $num1 < $num_nomi_contratti ; $num1++) {
$dati_nome_contratto = explode("#?&",$nomi_contratti[$num1]);
$nome_contratto[$dati_nome_contratto[0]] = $dati_nome_contratto[1];
} # fine for $num1
$max_contr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'contr%'");
$max_contr = risul_query($max_contr,0,0);
$option_num_contr = "";
for ($num_contratto = 1 ; $num_contratto <= $max_contr ; $num_contratto++) {
if ($attiva_contratti_consentiti == "n" or $contratti_consentiti_vett[$num_contratto] == "SI") {
if ($nome_contratto[$num_contratto]) $num_contratto_vedi = $nome_contratto[$num_contratto];
else $num_contratto_vedi = $num_contratto;
$option_num_contr .= "<option value=\"$num_contratto\">$num_contratto_vedi</option>";
} # fine if ($attiva_contratti_consentiti == "n" or...
} # fine for $num_contratto
if ($option_num_contr and $show_bar != "NO") {
echo "<br><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_contratto.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"origine\" value=\"visualizza_tabelle.php?tipo_tabella=prenotazioni&id_utente_vedi=$id_utente_vedi&senza_colori=$senza_colori&mos_tut_dat=$mos_tut_dat&pag_pren_corr=$pag_pren_corr&pag_pren_prec=$pag_pren_prec&pag_pren_succ=$pag_pren_succ&ordine_prenota=$ordine_prenota\">
<input type=\"hidden\" name=\"lista_prenota\" value=\"$lista_prenota_contr\">
<input class=\"sbutton\" type=\"submit\" name=\"vedi_contr\" value=\"".mex("Visualizza il contratto",$pag)."\">
".mex("di tipo",$pag)." <select name=\"numero_contratto\">
$option_num_contr</select></form></center>";
} # fine if ($option_num_contr and $show_bar != "NO")

} # fine if ($mostra_tab_principale != "NO")

} # fine if ($tipo_tabella == "prenotazioni" and $priv_vedi_tab_prenotazioni != "n")




if ($tipo_tabella == "costi" and $priv_vedi_tab_costi != "n") {

if (defined("C_MASSIMO_NUM_COSTI") and C_MASSIMO_NUM_COSTI != 0) {
$num_costi_esistenti = esegui_query("select idcosti from $tablecosti");
$num_costi_esistenti = numlin_query($num_costi_esistenti);
if ($num_costi_esistenti >= (C_MASSIMO_NUM_COSTI + 1)) {
$priv_ins_spese = "n";
$priv_ins_entrate = "n";
} # fine if ($num_costi_esistenti >= (C_MASSIMO_NUM_COSTI + 1))
} # fine if (defined("C_MASSIMO_NUM_COSTI") and C_MASSIMO_NUM_COSTI != 0)

if ($idcosti and !$torna_alla_tab) {
$tabelle_lock = array("$tablecosti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$idcosti = addslashes($idcosti);
$costo = esegui_query("select * from $tablecosti where idcosti = '$idcosti'");
if (numlin_query($costo) == 0) $continua = "NO";
else if ($priv_vedi_tab_costi == "p" and $id_utente != risul_query($costo,0,utente_inserimento)) $continua = "NO";
if ($continua != "NO") {
$nome_costo = risul_query($costo,0,nome_costo);
$val_costo = risul_query($costo,0,val_costo);
$tipo_costo = risul_query($costo,0,tipo_costo);
$provenienza_costo = risul_query($costo,0,provenienza_costo);
if (!$cancella) {
if ($tipo_costo == "s") {
echo mex("Sei sicuro di voler cancellare la spesa",$pag)." \"$nome_costo\" ".mex("del valore di",$pag)." $val_costo $Euro?";
} # fine if ($tipo_costo == "s")
if ($tipo_costo == "e") {
echo mex("Sei sicuro di voler cancellare l'entrata",$pag)." \"$nome_costo\" ".mex("del valore di",$pag)." $val_costo $Euro?";
} # fine if ($tipo_costo == "e")
echo "<br><form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idcosti\" value=\"$idcosti\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"provenienza_costo\" value=\"$provenienza_costo\">
<input type=\"hidden\" name=\"val_costo\" value=\"$val_costo\">
<input class=\"sbutton\" type=\"submit\" name=\"cancella\" value=\"".mex("SI",$pag)."\">
<input class=\"sbutton\" type=\"submit\" name=\"torna_alla_tab\" value=\"".mex("NO",$pag)."\">
</form>";
} # fine if (!$cancella)

else {
if ($provenienza_costo == "p") {
$costo0 = esegui_query("select * from $tablecosti where idcosti = 0");
$costo0 = risul_query($costo0,0,val_costo);
$costo0 = $costo0 - $val_costo;
esegui_query("update $tablecosti set val_costo = '$costo0' where idcosti = 0 ");
} # fine if ($provenienza_costo == "p")
esegui_query("delete from $tablecosti where idcosti = $idcosti");
echo mex("Entrata o spesa",$pag)." $idcosti ".mex("cacellata",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\">
</form>";
} # fine else if (!$cancella)
} # fine if ($continua != "NO")
else {
echo mex("Costo o spesa già cancellati",$pag)."<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\">
</form>";
} # fine else if (numlin_query($costo) != 0)
unlock_tabelle($tabelle_lock);
} # fine if ($idcosti and !$torna_alla_tab)

else {


echo "<center><font size=+2><b>".mex("Tabella con tutte le spese del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td>".mex("Natura_spesa",$pag)."</td>
<td>".mex("Importo",$pag)."</td>
<td>".mex("Inserita_da",$pag)."</td>
<td>".mex("Data_di_inserimento",$pag)."</td>";
if ($priv_ins_spese == "s") echo "<td>".mex("Cancella",$pag)."</td>";
echo "</tr>";

if ($priv_vedi_tab_costi == "p") $condizione_costi_propri = "and utente_inserimento = '$id_utente'";
else $condizione_costi_propri = "";

$costi = esegui_query("select * from $tablecosti where tipo_costo = 's' $condizione_costi_propri order by idcosti");
$num_costi = numlin_query($costi);

for ($num1 = 0 ; $num1 < $num_costi ; $num1 = $num1 + 1) {
$idcosti = risul_query($costi,$num1,idcosti);
$nome_costo = risul_query($costi,$num1,nome_costo);
$val_costo = risul_query($costi,$num1,val_costo);
$persona_costo =risul_query($costi,$num1,persona_costo);
if (!$persona_costo) { $persona_costo = "&nbsp;"; }
$datainserimento = risul_query($costi,$num1,datainserimento);
$datainserimento = substr($datainserimento, 0, 10);
$datainserimento_f = formatta_data($datainserimento,$stile_data);
#$string = substr($datainserimento, 6, 9);
#$datainserimento = ereg_replace($string,"",$datainserimento);
$val_costo_p = punti_in_num($val_costo,$stile_soldi);
echo "<tr><td align=\"center\">$nome_costo</td>
<td align=\"center\">$val_costo_p</td>
<td align=\"center\">$persona_costo</td>
<td align=\"center\">$datainserimento_f</td>";
if ($priv_ins_spese == "s") echo "<td align=\"center\"><a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idcosti=$idcosti\">".mex("cancella",$pag)."</a></td>";
echo "</tr>";
$spese_TOT = $spese_TOT + $val_costo;
} # fine for $num1

$spese_TOT_p = punti_in_num($spese_TOT,$stile_soldi);
echo "<tr><td align=\"center\"><b><i>".mex("TOTALE",$pag)."</i></b></td>
<td align=\"center\">$spese_TOT_p</td>
<td align=\"center\">&nbsp;</td>
<td align=\"center\">&nbsp;</td>";
if ($priv_ins_spese == "s") echo "<td align=\"center\">&nbsp;</td>";
echo "</tr></table><br><br>


<center><font size=+2><b>".mex("Tabella con tutte le entrate del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td>".mex("Natura_entrata",$pag)."</td>
<td>".mex("Importo",$pag)."</td>
<td>".mex("Inserita_da",$pag)."</td>
<td>".mex("Data_di_inserimento",$pag)."</td>";
if ($priv_ins_entrate == "s") echo "<td>".mex("Cancella",$pag)."</td>";
echo "</tr>";

$costi = esegui_query("select * from $tablecosti where tipo_costo = 'e' $condizione_costi_propri order by idcosti");
$num_costi = numlin_query($costi);

for ($num1 = 0 ; $num1 < $num_costi ; $num1 = $num1 + 1) {
$idcosti = risul_query($costi,$num1,idcosti);
$nome_costo = risul_query($costi,$num1,nome_costo);
$val_costo = risul_query($costi,$num1,val_costo);
$persona_costo =risul_query($costi,$num1,persona_costo);
if (!$persona_costo) { $persona_costo = "&nbsp;"; }
$datainserimento = risul_query($costi,$num1,datainserimento);
$datainserimento = substr($datainserimento, 0, 10);
$datainserimento_f = formatta_data($datainserimento,$stile_data);
#$string = substr($datainserimento, 6, 9);
#$datainserimento = ereg_replace($string,"",$datainserimento);
$provenienza_costo = risul_query($costi,$num1,provenienza_costo);
if ($provenienza_costo == "p") { $nome_costo = $nome_costo."(*)"; }
$val_costo_p = punti_in_num($val_costo,$stile_soldi);
echo "<tr><td align=\"center\">$nome_costo</td>
<td align=\"center\">$val_costo_p</td>
<td align=\"center\">$persona_costo</td>
<td align=\"center\">$datainserimento_f</td>";
if ($priv_ins_entrate == "s") echo "<td align=\"center\"><a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idcosti=$idcosti\">".mex("cancella",$pag)."</a></td>";
echo "</tr>";
$entrate_TOT = $entrate_TOT + $val_costo;
} # fine for $num1

$cassa = $entrate_TOT - $spese_TOT;
$cassa_p = punti_in_num($cassa,$stile_soldi);
$entrate_TOT_p = punti_in_num($entrate_TOT,$stile_soldi);
echo "<tr><td align=\"center\"><b><i>".mex("TOTALE",$pag)."</i></b></td>
<td align=\"center\">$entrate_TOT_p</td>
<td align=\"center\">&nbsp;</td>
<td align=\"center\">&nbsp;</td>";
if ($priv_ins_entrate == "s") echo "<td align=\"center\">&nbsp;</td>";
echo "</tr></table>
<center>* ".mex("entrata presa dalle prenotazioni",$pag)."
<br><br><font size=+2>".mex("Totale in cassa",$pag).": <b>$cassa_p</b> $Euro.</font></center><br>

<table align=\"center\"><tr>";
if ($priv_ins_spese == "s" or $priv_ins_entrate == "s") {
echo "<td><center><form accept-charset=\"utf-8\" method=\"post\" action=\"costi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Inserisci nuove spese o entrate",$pag)."\">
</form></center></td>";
} # fine if ($priv_ins_spese == "s" or $priv_ins_entrate == "s")
echo "<td><center><form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Storia entrate-uscite prenotazioni",$pag)."\">
</form></center></td></tr></table>";

} # fine else if ($idcosti and !$torna_alla_tab)

} # fine if ($tipo_tabella == "costi" and $priv_vedi_tab_costi != "n")




if ($tipo_tabella == "periodi" and $priv_vedi_tab_periodi != "n") {

if ($idntariffe and !$torna_alla_tab and $id_utente == 1) {
$tabelle_lock = array("$tablenometariffe");
$tabelle_lock = lock_tabelle($tabelle_lock);
$costo_agg = esegui_query("select * from $tablenometariffe where idntariffe=$idntariffe");
$nome_costo_agg = risul_query($costo_agg,0,nomecostoagg);
if (!$cancella) {
echo mex("Sei sicuro di voler cancellare il costo aggiuntivo",$pag)." \"<b>$nome_costo_agg</b>\"?<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idntariffe\" value=\"$idntariffe\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"d_nome_costo_agg\" value=\"$nome_costo_agg\">
<input class=\"sbutton\" type=\"submit\" name=\"cancella\" value=\"".mex("SI",$pag)."\">
<input class=\"sbutton\" type=\"submit\" name=\"torna_alla_tab\" value=\"".mex("NO",$pag)."\">
</form>";
} # fine if (!$cancella)

else {
if ($nome_costo_agg != $d_nome_costo_agg) echo mex("Il costo aggiuntivo è cambiato nel frattempo, non è stato cancellato",$pag).".<br>";
else {
esegui_query("delete from $tablenometariffe where idntariffe = $idntariffe");
echo mex("Il costo aggiuntivo",$pag)." \"<b>$nome_costo_agg</b>\" ".mex("è stato cancellato",$pag).".<br>";
} # fine else if ($nome_costo_agg != $d_nome_costo_agg)
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\">
</form>";
} # fine else if (!$cancella)
unlock_tabelle($tabelle_lock);
} # fine if ($idntariffe and !$torna_alla_tab and $id_utente == 1)

else {


if ($aggiungi and $id_utente == 1) {
$tabelle_lock = array("$tableperiodi");
$altre_tab_lock = array("$tableutenti");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
if ($tipo_periodi == "g") $aggiungi_giorni = 1;
else $aggiungi_giorni = 7;
$data_fine_periodi = esegui_query("select max(idperiodi) from $tableperiodi");
$data_fine_periodi = risul_query($data_fine_periodi,0,0);
$idperiodi = $data_fine_periodi + 1;
$data_fine_periodi = esegui_query("select * from $tableperiodi where idperiodi = $data_fine_periodi");
$data_fine_periodi = risul_query($data_fine_periodi,0,datafine);
$data_fine_periodi = explode("-",$data_fine_periodi);
$numgiorno = $data_fine_periodi[2];
$mese_cont = $data_fine_periodi[1];
$anno_cont = $data_fine_periodi[0];

do {
$datainizio = date("Y-m-d" , mktime(0,0,0,$mese_cont,$numgiorno,$anno_cont));
$numgiorno = $numgiorno + $aggiungi_giorni;
$datafine = date("Y-m-d" , mktime(0,0,0,$mese_cont,$numgiorno,$anno_cont));
$annocreato = date("Y" , mktime(0,0,0,$mese_cont,$numgiorno,$anno_cont));
$mesecreato = date("n" , mktime(0,0,0,$mese_cont,$numgiorno,$anno_cont));
if ($annocreato > $anno) {
$diff = $annocreato - $anno;
$mesecreato = ($diff * 12) + $mesecreato;
} # fine if ($annocreato > $anno)
esegui_query("insert into $tableperiodi ( idperiodi, datainizio, datafine) values ( $idperiodi, '$datainizio', '$datafine')");
$idperiodi = $idperiodi + 1;
} while ($mesecreato <= $mese_fine);

$periodi = esegui_query("select * from $tableperiodi order by idperiodi");
$num_periodi = numlin_query($periodi);
$utenti = esegui_query("select * from $tableutenti order by idutenti");
include("./dati/lingua.php");
$lingua_mex2 = $lingua_mex;
for ($num_utente = 0 ; $num_utente < numlin_query($utenti) ; $num_utente++) {
$id_utente_cambia = risul_query($utenti,$num_utente,idutenti);
$lingua_mex = $lingua[$id_utente_cambia];
$numgiorno = risul_query($periodi,0,datainizio);
$numgiorno = explode("-",$numgiorno);
$mese_ini = $numgiorno[1];
$numgiorno = $numgiorno[2];
$fileaperto = fopen("./dati/selectperiodi$anno.$id_utente_cambia.php","w+");
flock($fileaperto,2);
$date_option = "";
$n_date_menu = 0;
for ($num1 = 0 ; $num1 < $num_periodi ; $num1 = $num1 + 1) {
$datainizio = date("Y-m-d" , mktime(0,0,0,$mese_ini,$numgiorno,$anno));
$nome_giorno = date("D" , mktime(0,0,0,$mese_ini,$numgiorno,$anno));
$numgiorno = $numgiorno + $aggiungi_giorni;
if ($tipo_periodi == "g") {
if ($nome_giorno == "Sun") $nome_giorno = mex(" Do","inizio.php");
if ($nome_giorno == "Mon") $nome_giorno = mex(" Lu","inizio.php");
if ($nome_giorno == "Tue") $nome_giorno = mex(" Ma","inizio.php");
if ($nome_giorno == "Wed") $nome_giorno = mex(" Me","inizio.php");
if ($nome_giorno == "Thu") $nome_giorno = mex(" Gi","inizio.php");
if ($nome_giorno == "Fri") $nome_giorno = mex(" Ve","inizio.php");
if ($nome_giorno == "Sat") $nome_giorno = mex(" Sa","inizio.php");
} # fine if ($tipo_periodi == "g")
else $nome_giorno = "";
$nome_mese = substr($datainizio,5,2);
if ($nome_mese == "01") $nome_mese = mex("Gen","inizio.php");
if ($nome_mese == "02") $nome_mese = mex("Feb","inizio.php");
if ($nome_mese == "03") $nome_mese = mex("Mar","inizio.php");
if ($nome_mese == "04") $nome_mese = mex("Apr","inizio.php");
if ($nome_mese == "05") $nome_mese = mex("Mag","inizio.php");
if ($nome_mese == "06") $nome_mese = mex("Giu","inizio.php");
if ($nome_mese == "07") $nome_mese = mex("Lug","inizio.php");
if ($nome_mese == "08") $nome_mese = mex("Ago","inizio.php");
if ($nome_mese == "09") $nome_mese = mex("Set","inizio.php");
if ($nome_mese == "10") $nome_mese = mex("Ott","inizio.php");
if ($nome_mese == "11") $nome_mese = mex("Nov","inizio.php");
if ($nome_mese == "12") $nome_mese = mex("Dic","inizio.php");
$numero_giorno = substr($datainizio,8,2);
$numero_anno = substr($datainizio,0,4);
if (!$date_option) {
$a_ini_menu = substr($datainizio,0,4);
$m_ini_menu = (substr($datainizio,5,2) - 1);
$g_ini_menu = substr($datainizio,8,2);
} # fine if (!$date_option)
$n_date_menu++;
$date_option .= "<option value=\\\"$datainizio\\\">$nome_mese $numero_giorno$nome_giorno, $numero_anno</option>
";
} # fine for $num1

$datafine = date("Y-m-d" , mktime(0,0,0,$mese_ini,$numgiorno,$anno));
$nome_mese = substr($datafine,5,2);
if ($nome_mese == "01") $nome_mese = mex("Gen","inizio.php");
if ($nome_mese == "02") $nome_mese = mex("Feb","inizio.php");
if ($nome_mese == "03") $nome_mese = mex("Mar","inizio.php");
if ($nome_mese == "04") $nome_mese = mex("Apr","inizio.php");
if ($nome_mese == "05") $nome_mese = mex("Mag","inizio.php");
if ($nome_mese == "06") $nome_mese = mex("Giu","inizio.php");
if ($nome_mese == "07") $nome_mese = mex("Lug","inizio.php");
if ($nome_mese == "08") $nome_mese = mex("Ago","inizio.php");
if ($nome_mese == "09") $nome_mese = mex("Set","inizio.php");
if ($nome_mese == "10") $nome_mese = mex("Ott","inizio.php");
if ($nome_mese == "11") $nome_mese = mex("Nov","inizio.php");
if ($nome_mese == "12") $nome_mese = mex("Dic","inizio.php");
$numero_giorno = substr($datafine,8,2);
$numero_anno = substr($datafine,0,4);
$n_date_menu++;
$date_option .= "<option value=\\\"$datafine\\\">$nome_mese $numero_giorno, $numero_anno</option>
";
fwrite($fileaperto,"<?php 

\$y_ini_menu[0] = \"$a_ini_menu\";
\$m_ini_menu[0] = \"$m_ini_menu\";
\$d_ini_menu[0] = \"$g_ini_menu\";
\$n_dates_menu[0] = \"$n_date_menu\";
\$d_increment[0] = \"$aggiungi_giorni\";
\$d_names = \"\\\"".mex(" Do","inizio.php")."\\\",\\\"".mex(" Lu","inizio.php")."\\\",\\\"".mex(" Ma","inizio.php")."\\\",\\\"".mex(" Me","inizio.php")."\\\",\\\"".mex(" Gi","inizio.php")."\\\",\\\"".mex(" Ve","inizio.php")."\\\",\\\"".mex(" Sa","inizio.php")."\\\"\";
\$m_names = \"\\\"".mex("Gen","inizio.php")."\\\",\\\"".mex("Feb","inizio.php")."\\\",\\\"".mex("Mar","inizio.php")."\\\",\\\"".mex("Apr","inizio.php")."\\\",\\\"".mex("Mag","inizio.php")."\\\",\\\"".mex("Giu","inizio.php")."\\\",\\\"".mex("Lug","inizio.php")."\\\",\\\"".mex("Ago","inizio.php")."\\\",\\\"".mex("Set","inizio.php")."\\\",\\\"".mex("Ott","inizio.php")."\\\",\\\"".mex("Nov","inizio.php")."\\\",\\\"".mex("Dic","inizio.php")."\\\"\";

\$dates_options_list = \"

$date_option
\";

?>");
flock($fileaperto,3);
fclose($fileaperto);
copy ("./dati/selectperiodi$anno.$id_utente_cambia.php","./dati/selperiodimenu$anno.$id_utente_cambia.php");
} # fine for $num_utente
$lingua_mex = $lingua_mex2;

$datafine_f = formatta_data($datafine,$stile_data);
echo mex("I periodi sono stati aggiunti fino al",$pag)." $datafine_f.<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\">
</form>";
unlock_tabelle($tabelle_lock);
} # fine if ($aggiungi and $id_utente == 1)

else {


$anno_attuale = date("Y",(time() + (C_DIFF_ORE * 3600)));
if (C_CANCELLA_ANNO_ATTUALE == "NO" and $anno != $anno_attuale) {
$anno_attuale_esistente = esegui_query("select * from $tableanni where idanni = $anno_attuale");
if (numlin_query($anno_attuale_esistente) == 0) $anno_attuale = $anno;
} # fine if (C_CANCELLA_ANNO_ATTUALE == "NO" and $anno != $anno_attuale)
if ($cancella_anno and $id_utente == 1 and (C_CANCELLA_ANNO_ATTUALE != "NO" or $anno != $anno_attuale)) {
if (!$continua) {
$tabelle_lock = array("$tableanni");
$tabelle_lock = lock_tabelle($tabelle_lock);
echo "<br><font size=\"+1\">".mex("<font color=\"red\"><b>ATTENZIONE</b></font>: premendo su <b>\"<i>Continua</i>\"</b>, tutti i dati riguardanti l'anno",$pag)." <b><i>$anno</i></b> ".mex("verranno <b>cancellati</b>",$pag)."!</font><br><br>
<center><form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cancella_anno\" value=\"$cancella_anno\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"continua\" value=\"".mex("Continua",$pag)."\">
<br></form>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form></center><br>";
unlock_tabelle($tabelle_lock);
} # fine if (!$continua)

else {
$filelock = fopen("./dati/anni.lock","w+");
flock($filelock,2);
$tabelle_lock = array("$tableanni","$tableprenota","$tablenometariffe","$tableperiodi","$tablecosti","$tableregole","$tablesoldi","$tableprivilegi");
$tabelle_lock = lock_tabelle($tabelle_lock);
$anno_esiste = esegui_query("select * from $tableanni where idanni = $anno");
if (numlin_query($anno_esiste) > 0) {
if (@unlink("./dati/selectperiodi$anno.$id_utente.php")) {
unlink("./dati/selperiodimenu$anno.$id_utente.php");
esegui_query("drop table $tableprenota");
esegui_query("drop table $tablecostiprenota");
esegui_query("drop table $tablenometariffe");
esegui_query("drop table $tableperiodi");
esegui_query("drop table $tablecosti");
esegui_query("drop table $tableregole");
esegui_query("drop table $tablesoldi");
esegui_query("delete from $tableanni where idanni = '$anno'");
$utenti_privilegi = esegui_query("select idutente from $tableprivilegi where anno = '$anno' ");
for ($num1 = 0 ; $num1 < numlin_query($utenti_privilegi) ; $num1++) {
$idutente_priv = risul_query($utenti_privilegi,$num1,idutente);
unlink("./dati/selectperiodi$anno.$idutente_priv.php");
unlink("./dati/selperiodimenu$anno.$idutente_priv.php");
} # fine for $num1
esegui_query("delete from $tableprivilegi where anno = '$anno'");
echo mex("L'anno",$pag)." $anno ".mex("è stato cancellato dal batabase",$pag).".<br>";
} # fine if (unlink("./dati/selectperiodi$anno.$id_utente.php"))
else $cancellato = "NO";
} # fine if (numlin_query($anno_esiste) > 0)
else $cancellato = "NO";
if ($cancellato == "NO") {
echo mex("Non è stato possibile cancellare l'anno",$pag)." $anno ".mex("dal database, controllare i permessi sulla cartella dati",$pag).".<br>";
} # fine if ($cancellato == "NO")
unlock_tabelle($tabelle_lock);
flock($filelock,3);
fclose($filelock);
unlink("./dati/anni.lock");
} # fine else if (!$continua)
} # fine if ($cancella_anno and $id_utente == 1 and (C_CANCELLA_ANNO_ATTUALE != "NO" or $anno != $anno_attuale))

else {


echo "<center><font size=+2><b>".mex("Tabella con periodi e relative tariffe del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td>N°</td>
<td>".mex("Inizio_$parola_settimana",$pag)."</td>
<td>".mex("Fine_$parola_settimana",$pag)."</td>";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$nometariffa=risul_query($rigatariffe,0,$tariffa);
$riduci = "NO";
$nometariffa_vedi = "<a href=\"./tab_tariffe.php?anno=$anno&id_sessione=$id_sessione&numtariffa1=$numtariffa\">";
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi .= mex("tariffa",$pag).$numtariffa."</a>";
} # fine if ($nometariffa == "")
else {
#$nometariffa = str_replace(" ","&nbsp;",$nometariffa);
if (num_caratteri_testo($nometariffa) > 10) $nometariffa_vedi .= mex("tariffa",$pag).$numtariffa."</a><br><font size=-2>$nometariffa</font>";
else $nometariffa_vedi .= mex("tariffa",$pag).$numtariffa."</a><br>".$nometariffa;
} # fine else if ($nometariffa == "")
echo "<td align=\"center\" valign=\"top\">$nometariffa_vedi</td>";
} # fine if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
echo "</tr>";

$periodi = esegui_query("select * from $tableperiodi order by idperiodi");
$num_periodi = numlin_query($periodi);

for ($num1 = 0 ; $num1 < $num_periodi ; $num1 = $num1 + 1) {
$idperiodi = risul_query($periodi,$num1,idperiodi);
$datainizio = risul_query($periodi,$num1,datainizio);
$datainizio_f = formatta_data($datainizio,$stile_data);
$datafine = risul_query($periodi,$num1,datafine);
$datafine_f = formatta_data($datafine,$stile_data);
$datainizio_f_idperiodo[$idperiodi] = $datainizio_f;
$datafine_f_idperiodo[$idperiodi] = $datafine_f;
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
$tariffa = "tariffa".$numtariffa;
$$tariffa = (string) risul_query($periodi,$num1,$tariffa);
if ($$tariffa == "") { $$tariffa = "&nbsp;"; }
else { $$tariffa = punti_in_num($$tariffa,$stile_soldi); }
} # fine for $numtariffa
echo "<tr><td align=\"center\">$idperiodi</td>
<td align=\"center\">$datainizio_f</td>
<td align=\"center\">$datafine_f</td>";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$tariffa = $$tariffa;
echo "<td align=\"center\">$tariffa</td>";
} # fine if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
echo "</tr>";
} # fine for $num1
echo "</table>";

if ($id_utente == 1 and $installazione_subordinata != "SI") {
echo "<table><tr><td height=2></td></tr></table><center>";
$data_fine_periodi = esegui_query("select max(idperiodi) from $tableperiodi");
$data_fine_periodi = risul_query($data_fine_periodi,0,0);
$data_fine_periodi = esegui_query("select * from $tableperiodi where idperiodi = $data_fine_periodi");
$data_fine_periodi = risul_query($data_fine_periodi,0,datainizio);
$data_fine_periodi = explode("-",$data_fine_periodi);
$mese_fine_periodi = $data_fine_periodi[1] + (($data_fine_periodi[0] - $anno) * 12) + 1;
if ($mese_fine_periodi < 26) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi\" value=\"".mex("Aggiungi periodi",$pag)."\">
 ".mex("fino al mese",$pag)."
 <select name=\"mese_fine\">";
for ($num1 = $mese_fine_periodi ; $num1 <= 25 ; $num1 = $num1 + 1) {
$anno_ag = $anno;
if ($num1 > 12) { $anno_ag = $anno + 1; }
if ($num1 == 25) { $anno_ag = $anno + 2; }
$mese_ag = $num1 - (($anno_ag - $anno) * 12);
echo "<option value=\"$num1\">$mese_ag - $anno_ag</option>";
} # fine for $num1
echo "</select>.<br></form>";
} # fine if ($mese_fine_periodi < 26)
$anno_attuale = date("Y",(time() + (C_DIFF_ORE * 3600)));
if (C_CANCELLA_ANNO_ATTUALE == "NO" and $anno != $anno_attuale) {
$anno_attuale_esistente = esegui_query("select * from $tableanni where idanni = $anno_attuale");
if (numlin_query($anno_attuale_esistente) == 0) $anno_attuale = $anno;
} # fine if (C_CANCELLA_ANNO_ATTUALE == "NO" and $anno != $anno_attuale)
if (C_CANCELLA_ANNO_ATTUALE != "NO" or $anno != $anno_attuale) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\"><input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
<input class=\"sbutton\" type=\"submit\" name=\"cancella_anno\" value=\"".mex("Cancella",$pag)."\">
 ".mex("l'anno",$pag)." <b>$anno</b> ".mex("dal database",$pag).".
</form></center>";
} # fine if (C_CANCELLA_ANNO_ATTUALE != "NO" or $anno != $anno_attuale)
} # fine if ($id_utente == 1 and $installazione_subordinata != "SI")

echo "<br><a name=\"tab_costi_agg\"></a><br><center><font size=+2><b>".mex("Tabella con i costi aggiuntivi del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">".mex("Nome",$pag)."</td>
<td align=\"center\">".mex("Tipo",$pag)."</td>
<td align=\"center\">".mex("Prezzo",$pag)."</td>
<td align=\"center\">".mex("Regole",$pag)."</td>
<td align=\"center\"><font size=-1>".mex("Tariffe abbinate",$pag)."</font></td>
<td align=\"center\"><font size=-2>".mex("Tariffe incompatibili",$pag)."</font></td>
<td align=\"center\"><font size=-1>".mex("Periodi_permessi",$pag)."</font></td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\">".mex("Modifica",$pag)."</td>";
echo "</tr>";
include("./includes/funzioni_costi_agg.php");
$dati_ca = dati_costi_agg_ntariffe ($tablenometariffe,$numero_tariffe);

for ($num1 = 0 ; $num1 < $dati_ca[num] ; $num1++) {
if ($priv_vedi_tab_periodi != "p" or $attiva_costi_agg_consentiti == "n" or $costi_agg_consentiti_vett[$dati_ca[$num1][id]] == "SI") {
$tariffe_abbinate = "";
$tariffe_incomp = "";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$tariffa_abb = $dati_ca[$num1][$tariffa];
if ($tariffa_abb != "") {
$tariffe_abbinate .= "$numtariffa";
if ($tariffa_abb != "s") $tariffe_abbinate .= "($tariffa_abb".mex("$lettera_s",$pag).")";
$tariffe_abbinate .= ", ";
} # fine if ($tariffa_abb != "")
if ($dati_ca[$num1]["incomp_".$tariffa] == "i") $tariffe_incomp .= $numtariffa.", ";
} # fine if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
if ($tariffe_abbinate == "") $tariffe_abbinate = "&nbsp;";
else {
$tariffe_abbinate = substr($tariffe_abbinate,0,-2);
if ($dati_ca[$num1][var_tariffea] == "s") $tariffe_abbinate .= "<font size=\"-1\"> (".mex("modifica con prenotazione",$pag).")</font>";
} # fine else if ($tariffe_abbinate == "")
if ($tariffe_incomp == "") $tariffe_incomp = "&nbsp;";
else {
$tariffe_incomp = substr($tariffe_incomp,0,-2);
if ($dati_ca[$num1][var_tariffei] == "s") $tariffe_incomp .= "<font size=\"-1\"> (".mex("modifica con prenotazione",$pag).")</font>";
} # fine else if ($tariffe_incomp == "")
if ($dati_ca[$num1][tipo] == "u") $tipo = mex("unico",$pag);
if ($dati_ca[$num1][tipo] == "s") $tipo = mex("$parola_settimanale",$pag);
if ($dati_ca[$num1][tipo_val] == "f") $tipo .= ", ".mex("fisso",$pag);
if ($dati_ca[$num1][tipo_val] == "p") $tipo .= ", ".mex("percentuale su tariffa",$pag);
if ($dati_ca[$num1][tipo_val] == "t") $tipo .= ", ".mex("percentuale su totale",$pag);
if ($dati_ca[$num1][tipo_val] == "c") $tipo .= ", ".mex("percentuale su caparra",$pag);
if ($dati_ca[$num1][tipo_val] == "r") $tipo .= ", ".mex("percentuale su resto caparra",$pag);
if ($dati_ca[$num1][var_percentuale] == "s") $tipo .= "<font size=\"-1\"> (".mex("modifica con prenotazione",$pag).")</font>";
$prezzo = $dati_ca[$num1][valore];
if ($dati_ca[$num1][mostra] == "n") $regole = mex("Non_mostrare",$pag);
if ($dati_ca[$num1][mostra] == "s") $regole = mex("Mostra",$pag);
if ($dati_ca[$num1][associasett] == "s") $regole .= "; ".mex("associato_a_$parola_settimane"."_specifi$sillaba_che",$pag);
if ($dati_ca[$num1][associasett] == "n") $regole .= "; ".mex("non_associato_a_$parola_settimane"."_specifi$sillaba_che",$pag);
if ($dati_ca[$num1][numsett] == "t") $regole .= "; ".mex("tutt$lettera_e",$pag).mex("_$parola_le",$pag).mex("_$parola_settimane",$pag);
if ($dati_ca[$num1][numsett] == "m") $regole .= "; ".mex("tutt$lettera_e",$pag).mex("_$parola_le",$pag).mex("_$parola_settimane",$pag);
if ($dati_ca[$num1][sett_meno_una] == "u") $regole .= mex("_meno_l'ultim$lettera_a",$pag);
if ($dati_ca[$num1][sett_meno_una] == "p") $regole .= mex("_meno_$parola_la"."_prim$lettera_a",$pag);
if ($dati_ca[$num1][numsett] == "c") $regole .= "; ".mex("con_n°_di_$parola_settimane",$pag).mex("_da_chiedere",$pag);
if ($dati_ca[$num1][numsett] == "s") $regole .= "; ".$dati_ca[$num1][num_sett_prime].mex("_$parola_settimane",$pag).mex("_si",$pag).mex("_e_",$pag).$dati_ca[$num1][num_sett_seconde].mex("_$parola_settimane",$pag).mex("_no",$pag);
if ($dati_ca[$num1][numsett] == "n") $regole .= "; ".$dati_ca[$num1][num_sett_prime].mex("_$parola_settimane",$pag).mex("_no",$pag).mex("_e_",$pag).$dati_ca[$num1][num_sett_seconde].mex("_$parola_settimane",$pag).mex("_si",$pag);
if ($dati_ca[$num1][numsett] == "g") {
$regole .= "; ".mex("giorni",$pag).":";
if (str_replace("1","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Lu","giorni_mesi.php"));
if (str_replace("2","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Ma","giorni_mesi.php"));
if (str_replace("3","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Me","giorni_mesi.php"));
if (str_replace("4","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Gi","giorni_mesi.php"));
if (str_replace("5","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Ve","giorni_mesi.php"));
if (str_replace("6","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Sa","giorni_mesi.php"));
if (str_replace("7","",$dati_ca[$num1][giornisett]) != $dati_ca[$num1][giornisett]) $regole .= str_replace(" ","_",mex(" Do","giorni_mesi.php"));
} # fine if ($dati_ca[$num1][numsett] == "g")
if ($dati_ca[$num1][var_numsett] == "s") $regole .= " (".mex("modifica con prenotazione",$pag).")";
if ($dati_ca[$num1][moltiplica] == "c") $regole .= "; ".mex("chidere_per_quanto_moltiplicare",$pag);
if ($dati_ca[$num1][moltiplica] == "p") $regole .= "; ".mex("moltiplicare_per_persone",$pag);
if ($dati_ca[$num1][moltiplica] == "t") $regole .= "; ".mex("moltiplicare_per_persone_totali",$pag);
if ($dati_ca[$num1][var_moltiplica] == "s") {
if ($dati_ca[$num1][moltiplica] == "1") $regole .= "; ".mex("moltiplicare_per_1",$pag);
$regole .= " (".mex("modifica con prenotazione",$pag).")";
} # fine if ($dati_ca[$num1][var_moltiplica] == "s")
if ($dati_ca[$num1][letto] == "s") $regole .= "; ".mex("cosiderare_come_letti_aggiuntivi",$pag);
if ($dati_ca[$num1][numlimite]) $regole .= "; ".mex("massimo_",$pag).$dati_ca[$num1][numlimite].mex("_nell$lettera_a"."_stess$lettera_a"."_$parola_settimana",$pag);
if ($dati_ca[$num1][periodipermessi]) {
if ($dati_ca[$num1][periodipermessi] == "t") $periodi_permessi = "<font size=\"-1\">".mex("Prenotazione intera in",$pag).":<br>";
if ($dati_ca[$num1][periodipermessi] == "u") $periodi_permessi = "<font size=\"-1\">".mex("Parte della prentoazione in",$pag).":<br>";
if ($dati_ca[$num1][periodipermessi] == "p") $periodi_permessi = "<font size=\"-1\">".mex("Solo $parola_settimane della prenotazione in",$pag).":<br>";
for ($num2 = 0 ; $num2 < count($dati_ca[$num1][sett_periodipermessi_ini]) ; $num2++) {
if ($num2 > 0) $periodi_permessi .= mex(" o ",$pag);
$periodi_permessi .= $datainizio_f_idperiodo[$dati_ca[$num1][sett_periodipermessi_ini][$num2]].mex(" a ",$pag).$datafine_f_idperiodo[$dati_ca[$num1][sett_periodipermessi_fine][$num2]]."<br>";
} # fine for $num2
if ($dati_ca[$num1][var_periodip] == "s") $periodi_permessi .= " (".mex("modifica con prenotazione",$pag).")";
$periodi_permessi .= "</font>";
} # fine if ($dati_ca[$num1][periodipermessi])
else $periodi_permessi = mex("tutti",$pag);
if ($dati_ca[$num1][tipo_val] != "f") $prezzo_p = $prezzo."<font size=\"-1\">".mex("% arrotondato_a_",$pag).$dati_ca[$num1][arrotonda]."</font>";
else $prezzo_p = punti_in_num($prezzo,$stile_soldi);
echo "<tr><td align=\"center\">".$dati_ca[$num1][nome]."</td>
<td align=\"center\">$tipo</td>
<td align=\"center\">$prezzo_p</td>
<td align=\"center\"><font size=\"-1\">$regole</font></td>
<td align=\"center\">$tariffe_abbinate</td>
<td align=\"center\">$tariffe_incomp</td>
<td align=\"center\">$periodi_permessi</td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") {
echo "<td align=\"center\"><a href=\"modifica_costi.php?anno=$anno&id_sessione=$id_sessione&idntariffe=".$dati_ca[$num1][id]."\">".mex("modifica",$pag)."</a><br>
<a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idntariffe=".$dati_ca[$num1][id]."\">".mex("cancella",$pag)."</a></td>";
} # fine if ($id_utente == 1 and $installazione_subordinata != "SI")
echo "</tr>";
} # fine if ($priv_vedi_tab_periodi != "p" or $attiva_costi_agg_consentiti == "n" or...
} # fine for $num1
echo "</table><br><br>";

echo "<center><font size=+2><b>".mex("Caparre del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">";
$caparra = esegui_query("select * from $tablenometariffe where idntariffe = 2 or idntariffe = 3 order by idntariffe");
echo "<tr><td align=\"center\">".mex("Tariffa",$pag)."</td>
<td align=\"center\">".mex("Percentuale_sul_totale",$pag)."</td>
<td align=\"center\">".mex("Arrotondata_a",$pag)."_$Euro</td></tr>";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
$riduci = "NO";
if ($nometariffa == "") $nometariffa_vedi = $numtariffa;
else {
if (num_caratteri_testo($nometariffa) > 10) $nometariffa_vedi = "$numtariffa <font size=-2>($nometariffa)</font>";
else $nometariffa_vedi = "$numtariffa ($nometariffa)";
} # fine else if ($nometariffa == "")
$caparra_percent = risul_query($caparra,0,$tariffa);
if (!$caparra_percent) $caparra_percent = "&nbsp;";
$caparra_arrotond = risul_query($caparra,1,$tariffa);
$caparra_arrotond_p = punti_in_num($caparra_arrotond,$stile_soldi);
if (!$caparra_arrotond_p) $caparra_arrotond_p = "&nbsp;";
echo "<tr><td align=\"center\">$nometariffa_vedi</td>
<td align=\"center\">$caparra_percent</td>
<td align=\"center\">$caparra_arrotond_p</td></tr>";
} # fine if ($priv_vedi_tab_periodi != "p" or $attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
echo "</table>";

if ($id_utente == 1 and $installazione_subordinata != "SI") {
echo "<br><center><form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"insprezzi\" value=\"".mex("Vai alla pagina di inserzione prezzi",$pag)."\">
</form></center>";
} # fine if ($id_utente == 1 and $installazione_subordinata != "SI")

} # fine else if ($cancella_anno and $id_utente == 1)
} # fine else if ($aggiungi and $id_utente == 1)
} # fine if ($idntariffe and !$torna_alla_tab and $id_utente == 1)
} # fine if ($tipo_tabella == "periodi" and $priv_vedi_tab_periodi != "n")




if ($tipo_tabella == "clienti" and $vedi_clienti != "NO") {

if ($vedi_clienti == "PROPRI") $condizione_utente = "and utente_inserimento = '$id_utente'";
else $condizione_utente = "";


if ($cancella_clienti == "SI" and $modifica_clienti != "NO") {
if ($modifica_clienti == "PROPRI") $condizione_utente_canc = "where utente_inserimento = '$id_utente'";
else $condizione_utente_canc = "";
unset($cancella_cliente_id);
$anni = esegui_query("select * from $tableanni order by idanni");
$num_anni = numlin_query($anni);
$altre_tab_lock = array("$tableanni");
$num_lock = 1;
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$altre_tab_lock[$num_lock] = $PHPR_TAB_PRE."prenota".risul_query($anni,$num1,idanni);
$num_lock++;
} # fine for $num1
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$altre_tab_lock[$num_lock] = $PHPR_TAB_PRE."soldi".risul_query($anni,$num1,idanni);
$num_lock++;
} # fine for $num1
$tabelle_lock = array("$tableclienti");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$clienti = esegui_query("select * from $tableclienti $condizione_utente_canc");
$num_clienti = numlin_query($clienti);
for ($num1 = 0; $num1 < $num_clienti; $num1++) {
$idclienti = risul_query($clienti,$num1,idclienti);
$prenota_cliente_esistente = "NO";
for ($num2 = 0 ; $num2 < $num_anni ; $num2++) {
$anno_mostra = risul_query($anni,$num2,idanni);
$tableprenota_mostra = $PHPR_TAB_PRE."prenota".$anno_mostra;
$tablesoldi_mostra = $PHPR_TAB_PRE."soldi".$anno_mostra;
$prenotazioni = esegui_query("select * from $tableprenota_mostra where idclienti = '$idclienti'");
$soldi = esegui_query("select * from $tablesoldi_mostra where motivazione $LIKE '$idclienti".";%'");
if (numlin_query($prenotazioni) != 0 or numlin_query($soldi)) {
$prenota_cliente_esistente = "SI";
break;
} # fine if (numlin_query($prenotazioni) != 0 or...
} # fine for $num2
if ($prenota_cliente_esistente == "NO") $cancella_cliente_id[$idclienti] = "SI";
} # fine for $num1
if (!$continua) {
echo "
".mex("Si è sicuri di voler <font color=\"red\"><b>cancellare",$pag)." ".count($cancella_cliente_id)." ".mex("clienti</b></font> che non sono associati a nessuna prenotazione e nessun pagamento",$pag)."?<br>
<table><tr><td height=2></td></tr><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"cancella_clienti\" value=\"SI\">
<input type=\"hidden\" name=\"continua\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("SI",$pag)."\">
</form></td><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("NO",$pag)."\">
</form></td></tr></table><br>";
} # fine if (!$continua)
else {
for ($num1 = 0; $num1 < $num_clienti; $num1++) {
$idclienti = risul_query($clienti,$num1,idclienti);
if ($cancella_cliente_id[$idclienti] == "SI") esegui_query("delete from $tableclienti where idclienti = '$idclienti'");
} # fine for $num1
echo mex("Cancellati",$pag)." ".count($cancella_cliente_id)." ".mex("clienti",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("OK",$pag)."\">
</form>";
} # fine else if (!$continua)
unlock_tabelle($tabelle_lock);
} # fine if ($cancella_clienti == "SI" and..

else {


if ($cognome_cerca) { $chiamati = " ".mex("chiamati",$pag)." $cognome_cerca"; }
echo "<table width=\"100%\"><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
".mex("Cerca i clienti con cognome",$pag)."
<input type=\"text\" name=\"cognome_cerca\" size=\"15\">
</form></td><td width=\"50\"></td>";
if ($modifica_clienti != "NO") {
echo "<td align=\"right\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input type=\"hidden\" name=\"cancella_clienti\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Cancella i clienti senza prenotazioni",$pag)."\">
</form></td>";
} # fine if ($modifica_clienti != "NO")
echo "</tr></table>
<center><font size=+2><b>".mex("Tabella con tutti i clienti",$pag)."$chiamati.</b></font></center>";

if ($cognome_cerca) {
$cognome_cerca2 = ucwords($cognome_cerca);
$clienti = esegui_query("select * from $tableclienti where ( cognome $ILIKE '%$cognome_cerca%' or cognome2 $ILIKE '%$cognome_cerca%' ) $condizione_utente ");
} # fine if ($cognome_cerca)
else $clienti = esegui_query("select * from $tableclienti ".str_replace("and ","where ",$condizione_utente)." order by cognome");
$num_clienti = numlin_query($clienti);

$num_clienti_mostra = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_tutti_clienti' and idutente = '$id_utente'");
$num_clienti_mostra = risul_query($num_clienti_mostra,0,valpersonalizza_num);
$num_pagine = ceil($num_clienti/$num_clienti_mostra);
$pagina_clienti = $pagina_clienti + 1;
$cliente_inizio = 0 + ($pagina_clienti -1)*$num_clienti_mostra;
$cliente_fine = $num_clienti_mostra + ($pagina_clienti -1)*$num_clienti_mostra;
if ($cliente_fine > $num_clienti) { $cliente_fine = $num_clienti; }
if ($num_clienti > $num_clienti_mostra) {
echo "<center>";
if ($pagina_clienti > 1) { 
echo "<a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&pagina_clienti=".($pagina_clienti-2)."&cognome_cerca=$cognome_cerca\"><font size=-1><- ".mex("pag. prec.",$pag)."</font></a>";
} # fine if ($pagina_clienti > 1)
echo "&nbsp;(".mex("pagina",$pag)." $pagina_clienti ".mex("di",$pag)." $num_pagine)&nbsp;";
if ($pagina_clienti < $num_pagine) { 
echo "<a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&pagina_clienti=$pagina_clienti&cognome_cerca=$cognome_cerca\"><font size=-1>".mex("pag. succ.",$pag)." -></font></a>";
} # fine if 
echo "</center>";
} # fine if ($num_clienti > $num_clienti_mostra)

echo "<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">N°</td>
<td align=\"center\">".mex("Cognome",$pag)."</td>
<td align=\"center\">".mex("Nome",$pag)."</td>
<td align=\"center\">".mex("Nazione",$pag)."</td>
<td align=\"center\">".mex("Città",$pag)."</td>
<td align=\"center\">".mex("Telefono",$pag)."</td>
<td align=\"center\">".mex("Email",$pag)."</td>
<td align=\"center\">".mex("CAP",$pag)."</td>
<td align=\"center\">".mex("Indirizzo",$pag)."</td>
<!--<td align=\"center\">".mex("Fax",$pag)."</td>-->
<!--<td align=\"center\"><font size=-1>".mex("Data_di_nascita",$pag)."</font></td>-->
<!--<td align=\"center\">".mex("2°telefono",$pag)."</td>-->
<td align=\"center\">".mex("Commento",$pag)."</td></tr>";

for ($num1 = $cliente_inizio; $num1 < $cliente_fine; $num1 = $num1 + 1) {
$idclienti = risul_query($clienti,$num1,idclienti);
$cognome = risul_query($clienti,$num1,cognome);
$nome = risul_query($clienti,$num1,nome);
if (!$nome) { $nome = "&nbsp;"; }
$telefono = risul_query($clienti,$num1,telefono);
if (!$telefono) { $telefono = "&nbsp;"; }
$via = risul_query($clienti,$num1,via);
$numcivico = risul_query($clienti,$num1,numcivico);
$indirizzo = $via ." ". $numcivico;
if ($indirizzo == " ") $indirizzo = "&nbsp;";
$citta = risul_query($clienti,$num1,citta);
if (!$citta) { $citta = "&nbsp;"; }
$nazione = risul_query($clienti,$num1,nazione);
if (!$nazione) { $nazione = "&nbsp;"; }
$cap = risul_query($clienti,$num1,cap);
if (!$cap) { $cap = "&nbsp;"; }
$fax = risul_query($clienti,$num1,fax);
if (!$fax) { $fax = "&nbsp;"; }
$email = risul_query($clienti,$num1,email);
if (num_caratteri_testo($email) > 22) $email_vedi = "<font size=\"-2\">".str_replace(",",", ",$email)."</font>";
else $email_vedi = $email;
$datanascita = risul_query($clienti,$num1,datanascita);
if (!$datanascita) { $datanascita_f = "&nbsp;"; }
else $datanascita_f = formatta_data($datanascita,$stile_data);
$telefono2 = risul_query($clienti,$num1,telefono2);
if (!$telefono2) { $telefono2 = "&nbsp;"; }
$telefono3 = risul_query($clienti,$num1,telefono3);
if (!$telefono3) { $telefono3 = "&nbsp;"; }
$commento = risul_query($clienti,$num1,commento);
if (!$commento) { $commento = "&nbsp;"; }

$mostra_link = "SI";
if ($modifica_clienti == "NO") $mostra_link = "NO";
if ($modifica_clienti == "PROPRI" and $vedi_clienti != "PROPRI") {
$utente_inserimento = risul_query($clienti,$num1,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_link = "NO";
} # fine if ($modifica_clienti == "PROPRI" and $vedi_clienti != "PROPRI")

echo "<tr><td align=\"center\">";
if ($mostra_link == "SI") echo "<a href=\"modifica_cliente.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idclienti=$idclienti\">";
echo $idclienti;
if ($mostra_link == "SI") echo "</a>";
echo "</td>
<td align=\"center\">$cognome</td>
<td align=\"center\">$nome</td>
<td align=\"center\">$nazione</td>
<td align=\"center\">$citta</td>
<td align=\"center\">$telefono</td>
<td align=\"center\">";
if ($email) { echo "<a href=\"mailto:$email\"><font color=\"#222222\">$email_vedi</font></a>"; }
else { echo "&nbsp;"; }
echo "</td>
<td align=\"center\">$cap</td>
<td align=\"center\">$indirizzo</td>
<!--<td align=\"center\">$fax</td>-->
<!--<td align=\"center\">$datanascita_f</td>-->
<!--<td align=\"center\">$telefono2</td>-->
<td align=\"center\"><font size=-2>$commento</font></td></tr>";
} # fine for $num1

echo "</table>";

if ($num_clienti > $num_clienti_mostra) {
echo "<center>";
if ($pagina_clienti > 1) { 
echo "<a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&pagina_clienti=".($pagina_clienti-2)."&cognome_cerca=$cognome_cerca\"><font size=-1><- ".mex("pag. prec.",$pag)."</font></a>";
} # fine if ($pagina_clienti > 1)
echo "&nbsp;(".mex("pagina",$pag)." $pagina_clienti ".mex("di",$pag)." $num_pagine)&nbsp;";
if ($pagina_clienti < $num_pagine) { 
echo "<a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&pagina_clienti=$pagina_clienti&cognome_cerca=$cognome_cerca\"><font size=-1>".mex("pag. succ.",$pag)." -></font></a>";
} # fine if 
echo "</center>";
} # fine if ($num_clienti > $num_clienti_mostra)

} # fine else if ($cancella_clienti == "SI")

} # fine if ($tipo_tabella == "clienti" and $vedi_clienti != "NO")




if ($tipo_tabella == "regole" and $priv_vedi_tab_regole != "n") {

if ($idregole and !$torna_alla_tab and $id_utente == 1) {
$tabelle_lock = array("$tableregole");
$altre_tab_lock = array("$tablenometariffe");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$idregole = addslashes($idregole);
$regola = esegui_query("select * from $tableregole where idregole = '$idregole'");
if (numlin_query($regola) != 0) {
if (!$cancella) {
$app_agenzia = risul_query($regola,0,app_agenzia);
if ($app_agenzia) {
echo mex("Sei sicuro di voler <b>cancellare</b> la regola di assegnazione 1 dell'appartamento",$pag)." $app_agenzia?<br>";
} # fine if ($app_agenzia)
$tariffa_per_app = risul_query($regola,0,tariffa_per_app);
if ($tariffa_per_app) {
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
$tariffa_cerca = "tariffa".$numtariffa;
if ($tariffa_cerca == $tariffa_per_app) $tariffa_vedi = mex("tariffa","prenota.php").$numtariffa;
} # fine for $numtariffa
echo mex("Sei sicuro di voler <b>cancellare</b> la regola di assegnazione 2 per la",$pag)." $tariffa_vedi?<br>";
} # fine if ($tariffa_per_app)
$tariffa_per_utente = risul_query($regola,0,tariffa_per_utente);
if ($tariffa_per_utente) {
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
$tariffa_cerca = "tariffa".$numtariffa;
if ($tariffa_cerca == $tariffa_per_utente) $tariffa_vedi = mex("tariffa","prenota.php").$numtariffa;
} # fine for $numtariffa
echo mex("Sei sicuro di voler <b>cancellare</b> la regola di assegnazione 3 per la",$pag)." $tariffa_vedi?<br>";
} # fine if ($tariffa_per_utente)
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idregole\" value=\"$idregole\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"cancella\" value=\"".mex("SI",$pag)."\">
<input class=\"sbutton\" type=\"submit\" name=\"torna_alla_tab\" value=\"".mex("NO",$pag)."\">
</form>";
} # fine if (!$cancella)

else {
esegui_query("delete from $tableregole where idregole = '$idregole'");
echo mex("La regola di assegnazione è stata cancellata",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\">
</form>";
} # fine else if (!$cancella)
} # fine if (numlin_query($regola) != 0)
else {
echo mex("La regola di assegnazione è già stata cancellata",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"$tipo_tabella\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\">
</form>";
} # fine else if (numlin_query($regola) != 0)
unlock_tabelle($tabelle_lock);
} # fine if ($idcosti and !$torna_alla_tab and $id_utente == 1)

else {


echo "<center><font size=+2><b>".mex("Tabella con le regole di assegnazione 1 del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">".mex("Appartamento",$pag)."</td>
<td align=\"center\">".mex("Inizio_$parola_settimana",$pag)."</td>
<td align=\"center\">".mex("Fine_$parola_settimana",$pag)."</td>
<td align=\"center\">".mex("Motivazione",$pag)."</td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\">".mex("Cancella",$pag)."</td>";
echo "</tr>";

$regole = esegui_query("select * from $tableregole where app_agenzia != '' order by app_agenzia");
$num_regole = numlin_query($regole);

for ($num1 = 0 ; $num1 < $num_regole ; $num1 = $num1 + 1) {
$motivazione = risul_query($regole,$num1,motivazione);
$mostra_regola = "SI";
if ($priv_vedi_tab_regole == "p") {
if ($applica_regole1 != "s") $mostra_regola = "NO";
if (!$motivazione) $motivazione2 = " ";
else $motivazione2 = $motivazione;
$motivazione_selezionata = "NO";
for ($num2 = 0 ; $num2 < count($regole1_consentite) ; $num2++) if ($regole1_consentite[$num2] == $motivazione2) $motivazione_selezionata = "SI";
if ($applica_regole1 == "n" and $motivazione_selezionata == "NO") $mostra_regola = "SI";
if ($attiva_regole1_consentite == "s" and $motivazione_selezionata == "SI") $mostra_regola = "SI";
} # fine if ($priv_vedi_tab_regole == "p")
if ($mostra_regola == "SI") {
$idregole = risul_query($regole,$num1,idregole);
$app_agenzia = risul_query($regole,$num1,app_agenzia);
$id_data_inizio = risul_query($regole,$num1,iddatainizio);
$data_inizio = esegui_query("select * from $tableperiodi where idperiodi = $id_data_inizio");
$data_inizio = risul_query($data_inizio,0,datainizio);
$data_inizio_f = formatta_data($data_inizio,$stile_data);
$id_data_fine = risul_query($regole,$num1,iddatafine);
$data_fine = esegui_query("select * from $tableperiodi where idperiodi = $id_data_fine");
$data_fine = risul_query($data_fine,0,datafine);
$data_fine_f = formatta_data($data_fine,$stile_data);
$motivazione = risul_query($regole,$num1,motivazione);
if (!$motivazione) $motivazione = "&nbsp;";
echo "<tr><td align=\"center\">$app_agenzia</td>
<td align=\"center\">$data_inizio_f</td>
<td align=\"center\">$data_fine_f</td>
<td align=\"center\">$motivazione</td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\"><a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idregole=$idregole\">".mex("cancella",$pag)."</a></td>";
echo "</tr>";
} # fine if ($mostra_regola == "SI")
} # fine for $num1
echo "</table>";

echo "<br><br><center><font size=+2><b>".mex("Tabella con le regole di assegnazione 2 del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">".mex("Tariffa",$pag)."</td>
<td align=\"center\">".mex("Appartamenti",$pag)."</td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\">".mex("Cancella",$pag)."</td>";
echo "</tr>";

$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
$regole = esegui_query("select * from $tableregole where tariffa_per_app != '' order by tariffa_per_app");
$num_regole = numlin_query($regole);

for ($num1 = 0 ; $num1 < $num_regole ; $num1 = $num1 + 1) {
$idregole = risul_query($regole,$num1,idregole);
$tariffa = risul_query($regole,$num1,tariffa_per_app);
if ($priv_vedi_tab_regole != "p" or $attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[substr($tariffa,7)] == "SI") {
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
$tariffa_cerca = "tariffa".$numtariffa;
if ($tariffa_cerca == $tariffa) {
$tariffa_vedi = mex("tariffa","prenota.php").$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
if ($nometariffa != "") $nometariffa_vedi = " ($nometariffa)";
else $nometariffa_vedi = "";
} # fine if ($tariffa_cerca == $tariffa)
} # fine for $numtariffa
$lista_app = risul_query($regole,$num1,motivazione);
$vett_app = explode(",",$lista_app);
$num_app = count($vett_app);
$lista_app_spazi = "";
for ($num2 = 0 ; $num2 < $num_app ; $num2 = $num2 + 1) {
if (!$lista_app_spazi) $lista_app_spazi = $vett_app[$num2];
else $lista_app_spazi .= ", ".$vett_app[$num2];
} # fine for $num2
echo "<tr><td align=\"center\">$tariffa_vedi$nometariffa_vedi</td>
<td align=\"center\">$lista_app_spazi</td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\"><a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idregole=$idregole\">".mex("cancella",$pag)."</a></td>";
echo "</tr>";
} # fine if ($priv_vedi_tab_regole != "p" or $attiva_tariffe_consentite == "n" or...
} # fine for $num1
echo "</table>";

if ($id_utente == 1) {

echo "<br><br><center><font size=+2><b>".mex("Tabella con le regole di assegnazione 3 del",$pag)." $anno.</b></font></center>
<br><table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">".mex("Tariffa",$pag)."</td>
<td align=\"center\">".mex("Utente",$pag)."</td>";
if ($installazione_subordinata != "SI") echo "<td align=\"center\">".mex("Cancella",$pag)."</td>";
echo "</tr>";

$utenti = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
$regole = esegui_query("select * from $tableregole where tariffa_per_utente != '' order by tariffa_per_utente");
$num_regole = numlin_query($regole);

for ($num1 = 0 ; $num1 < $num_regole ; $num1 = $num1 + 1) {
$idregole = risul_query($regole,$num1,idregole);
$tariffa = risul_query($regole,$num1,tariffa_per_utente);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
$tariffa_cerca = "tariffa".$numtariffa;
if ($tariffa_cerca == $tariffa) {
$tariffa_vedi = mex("tariffa","prenota.php").$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
if ($nometariffa != "") $nometariffa_vedi = " ($nometariffa)";
else $nometariffa_vedi = "";
} # fine if ($tariffa_cerca == $tariffa)
} # fine for $numtariffa
$id_utente_regola3 = risul_query($regole,$num1,iddatainizio);
$nome_utente_regola3 = esegui_query("select nome_utente from $tableutenti where idutenti = '$id_utente_regola3'");
$nome_utente_regola3 = risul_query($nome_utente_regola3,0,nome_utente);
echo "<tr><td align=\"center\">$tariffa_vedi$nometariffa_vedi</td>
<td align=\"center\">$nome_utente_regola3</td>";
if ($installazione_subordinata != "SI") echo "<td align=\"center\"><a href=\"visualizza_tabelle.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idregole=$idregole\">".mex("cancella",$pag)."</a></td>";
echo "</tr>";
} # fine for $num1
echo "</table>";

if ($installazione_subordinata != "SI") {
echo "<br><center><form accept-charset=\"utf-8\" method=\"post\" action=\"crearegole.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"vai\" value=\"".mex("Inserisci nuove regole",$pag)."\">
</form></center>";
} # fine if ($installazione_subordinata != "SI")

} # fine if ($id_utente == 1)

} # fine else if ($idcosti and !$torna_alla_tab)
} # fine if ($tipo_tabella == "regole" and $priv_vedi_tab_regole != "n")




if ($tipo_tabella == "appartamenti" and $priv_vedi_tab_appartamenti != "n") {

if ($crea_app and $id_utente == 1 and C_CREA_NUOVI_APP != "NO") {
$n_app = str_replace (",","",$n_app);
if (str_replace (" ","",$n_app) == "") $n_app = str_replace (" ","_",$n_app);
$n_app = elimina_caratteri_slash ($n_app);
$tabelle_lock = array("$tableappartamenti");
$tabelle_lock = lock_tabelle($tabelle_lock);
if (!$n_app) {
echo mex("Si deve inserire il numero del nuovo appartamento",$pag).".<br>";
$inserire = "NO";
} # fine if (!$n_app)
$app_esistente = esegui_query("select * from $tableappartamenti where idappartamenti = '$n_app' ");
$app_esistente = numlin_query($app_esistente);
if ($app_esistente) {
echo mex("Il numero inserito esiste già",$pag).".<br>";
$inserire = "NO";
} # fine if ($app_esistente)
if ($crea_app != "SI") {
if ($inserire != "NO") {
echo mex("L'appatramento",$pag)." <b>$n_app</b> ".mex("verrà aggiunto",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"n_app\" value=\"$n_app\">
<input type=\"hidden\" name=\"crea_app\" value=\"SI\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"continua\" value=\"".mex("Continua",$pag)."\">
</form>";
} # fine if ($inserire != "NO")
} # fine if ($crea_app != "SI")

else {

if ($inserire != "NO") {
esegui_query("insert into $tableappartamenti (idappartamenti) values ('$n_app') ");
$id_appartamenti = esegui_query("select idappartamenti from $tableappartamenti order by idappartamenti ");
$num_appartamenti = numlin_query($id_appartamenti);
$fileaperto = fopen("./dati/selectappartamenti.php","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php \necho \"\n");
for ( $num = 0; $num < $num_appartamenti; $num = $num + 1) {
$numapp = risul_query($id_appartamenti,$num,idappartamenti);
fwrite($fileaperto,"<option value=\\\"$numapp\\\">$numapp</option>
");
} # fine for $num
fwrite($fileaperto,"\"; \n?>");
flock($fileaperto,3);
fclose($fileaperto);
echo mex("L'appatramento",$pag)." <b>$n_app</b> ".mex("è stato aggiunto",$pag).".<br>";
} # fine if ($inserire != "NO")
} # fine else if ($crea_app != "SI")
unlock_tabelle($tabelle_lock);

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"continua\" value=\"".mex("Torna indietro",$pag)."\">
<hr width=\"95%\">
</form>";
} # fine if ($crea_app and $id_utente == 1 and C_CREA_NUOVI_APP != "NO")


else {



echo "<center><font size=+2><b>".mex("Tabella con tutti gli appartamenti",$pag).".</b></font></center><br>";

if ($id_utente != 1 or $installazione_subordinata == "SI") $form_tabella = "";
if ($form_tabella) echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_app.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"modificaappartamento\" value=\"SI\">
<input type=\"hidden\" name=\"form_tabella\" value=\"SI\">";

echo "<table class=\"t1\" width=3 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">".mex("Appartamento",$pag)."</td>
<td align=\"center\">".mex("Casa",$pag)."</td>
<td align=\"center\">".mex("Piano",$pag)."</td>
<td align=\"center\"><font size=\"-1\">".str_replace("_","&nbsp;",mex("Capienza_massima",$pag))."</font></td>
<td align=\"center\">".mex("Priorità",$pag)."</td>";
if (!$form_tabella) {
echo "<td align=\"center\">".mex("Commento",$pag)."</td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\">".mex("Modifica",$pag)."</td>";
} # fine if (!$form_tabella)
echo "</tr>";

$appartamenti = esegui_query("select * from $tableappartamenti order by idappartamenti");
$num_appartamenti = numlin_query($appartamenti);

if ($priv_vedi_tab_appartamenti == "p") {
unset($condizioni_regole1_consentite);
unset($appartamenti_consentiti);
unset($appartamenti_consentiti_regola1);
unset($appartamenti_consentiti_regola2);
if ($attiva_regole1_consentite != "n") {
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
$appartamenti_consentiti_regola1[$id_appartamento] = "NO";
} # fine for $num1
for ($num1 = 0 ; $num1 < count($regole1_consentite) ; $num1++) if ($regole1_consentite[$num1]) $condizioni_regole1_consentite .= "motivazione = '".$regole1_consentite[$num1]."' or ";
if ($condizioni_regole1_consentite) {
$condizioni_regole1_consentite = "(".str_replace("motivazione = ' '","motivazione = '' or motivazione is null",substr($condizioni_regole1_consentite,0,-4)).")";
$appartamenti_regola1 = esegui_query("select idregole,iddatainizio,iddatafine,app_agenzia from $tableregole where $condizioni_regole1_consentite order by app_agenzia");
for ($num1 = 0 ; $num1 < numlin_query($appartamenti_regola1) ; $num1++) {
$id_appartamento = risul_query($appartamenti_regola1,$num1,app_agenzia);
$appartamenti_consentiti_regola1[$id_appartamento] = "SI";
} # fine for $num1
} # fine if ($condizioni_regole1_consentite)
} # fine if ($attiva_regole1_consentite != "n")
if (($priv_mod_assegnazione_app != "s" or $priv_mod_prenotazioni != "s") and ($priv_ins_assegnazione_app != "s" or $priv_ins_nuove_prenota != "s")) {
$tutti_app_consentiti = "NO";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$regola2 = esegui_query("select motivazione from $tableregole where tariffa_per_app = '$tariffa'");
if (numlin_query($regola2) == 0) {
$tutti_app_consentiti = "SI";
break;
} # fine if (numlin_query($regola2) == 0)
else {
$appartamenti_regola2 = explode(",",risul_query($regola2,0,motivazione));
for ($num1 = 0 ; $num1 < count($appartamenti_regola2) ; $num1++) $appartamenti_consentiti_regola2[$appartamenti_regola2[$num1]] = "SI";
} # fine else if (numlin_query($regola2) == 0)
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
if ($tutti_app_consentiti != "SI") {
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
if ($appartamenti_consentiti_regola2[$id_appartamento] != "SI") $appartamenti_consentiti_regola2[$id_appartamento] = "NO";
} # fine for $num1
} # fine if ($tutti_app_consentiti != "SI")
} # fine if (($priv_mod_assegnazione_app != "s" or...
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
if ($appartamenti_consentiti_regola1[$id_appartamento] != "NO" and $appartamenti_consentiti_regola2[$id_appartamento] != "NO") $appartamenti_consentiti[$id_appartamento] = "SI";
else $appartamenti_consentiti[$id_appartamento] = "NO";
} # fine for $num1
} # fine if ($priv_vedi_tab_appartamenti == "p")

for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1 = $num1 + 1) {
$idappartamenti = risul_query($appartamenti,$num1,idappartamenti);
if ($priv_vedi_tab_appartamenti != "p" or $appartamenti_consentiti[$idappartamenti] != "NO") {
$numcasa = risul_query($appartamenti,$num1,numcasa);
$numpiano = risul_query($appartamenti,$num1,numpiano);
$maxoccupanti = risul_query($appartamenti,$num1,maxoccupanti);
$priorita = risul_query($appartamenti,$num1,priorita);
if (!$form_tabella) {
$commento = risul_query($appartamenti,$num1,commento);
if (!$numcasa) $numcasa = "&nbsp;";
if (!$numpiano) $numpiano = "&nbsp;";
if (!$maxoccupanti) $maxoccupanti = "&nbsp;";
else $maxoccupanti = $maxoccupanti ." ".mex("persone",$pag);
if (!$priorita) $priorita = "&nbsp;";
if (!$commento) $commento = "&nbsp;";
echo "<tr><td align=\"center\">$idappartamenti</td>
<td align=\"center\">$numcasa</td>
<td align=\"center\">$numpiano</td>
<td align=\"center\">$maxoccupanti</td>
<td align=\"center\">$priorita</td>
<td align=\"center\"><font size=-2>$commento</font></td>";
if ($id_utente == 1 and $installazione_subordinata != "SI") echo "<td align=\"center\"><a href=\"modifica_app.php?tipo_tabella=$tipo_tabella&anno=$anno&id_sessione=$id_sessione&idappartamenti=$idappartamenti\">".mex("modifica",$pag)."</a></td>";
echo "</tr>";
} # fine if (!$form_tabella)
else {
echo "<input type=\"hidden\" name=\"idappartamenti$num1\" value=\"$idappartamenti\">
<input type=\"hidden\" name=\"d_numcasa$num1\" value=\"$numcasa\">
<input type=\"hidden\" name=\"d_numpiano$num1\" value=\"$numpiano\">
<input type=\"hidden\" name=\"d_maxoccupanti$num1\" value=\"$maxoccupanti\">
<input type=\"hidden\" name=\"d_priorita$num1\" value=\"$priorita\">
<tr><td align=\"center\"><input type=\"text\" name=\"n_nome_app$num1\" value=\"$idappartamenti\" size=\"12\"></td>
<td align=\"center\"><input type=\"text\" name=\"n_numcasa$num1\" value=\"$numcasa\" size=\"12\"></td>
<td align=\"center\"><input type=\"text\" name=\"n_numpiano$num1\" value=\"$numpiano\" size=\"12\"></td>
<td align=\"center\"><input type=\"text\" name=\"n_maxoccupanti$num1\" value=\"$maxoccupanti\" size=\"8\"></td>
<td align=\"center\"><input type=\"text\" name=\"n_priorita$num1\" value=\"$priorita\" size=\"8\"></td>";
} # fine else if (!$form_tabella)
} # fine if ($priv_vedi_tab_appartamenti != "p" or $appartamenti_consentiti[$idappartamenti] != "NO")
} # fine for $num1
echo "</table>";

if ($id_utente == 1 and $installazione_subordinata != "SI" and !$form_tabella) {
echo "<table><tr><td height=2></td></tr></table><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
<input type=\"hidden\" name=\"form_tabella\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Modifica tutti i campi della tabella",$pag)."\">
</form><br>";
if (C_CREA_NUOVI_APP != "NO") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"crea_app\" value=\"".mex("Crea un nuovo appartamento",$pag)."\">
 n° <input type=\"text\" name=\"n_app\" size=\"5\" maxlength=\"5\">
</form><br>";
} # fine if (C_CREA_NUOVI_APP != "NO")
echo "</center>";
} # fine if ($id_utente == 1 and $installazione_subordinata != "SI" and !$form_tabella)

if ($form_tabella) echo "<table><tr><td height=2></td></tr></table><center>
<input type=\"hidden\" name=\"num_app_modifica\" value=\"$num_appartamenti\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Applica i cambiamenti",$pag)."\">
</center></form><br>";

} # fine else if ($crea_app)
} # fine if ($tipo_tabella == "appartamenti" and $priv_vedi_tab_appartamenti != "n")





echo "<center><br><form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna al menù principale",$pag)."\">
</form></center>";



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($anno_utente_attivato == "SI")
} # fine if ($id_utente)



?>

